Sync with portage [Wed Jul 17 08:40:20 MSK 2019].

mhiretskiy 1456
root 5 years ago
parent a34479b7e0
commit b1ce7ecda3

Binary file not shown.

Binary file not shown.

@ -1,7 +1,7 @@
# Copyright 1999-2019 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=6
EAPI=7
inherit gnome.org gnome2-utils meson xdg
DESCRIPTION="GNOME hexadecimal editor"
HOMEPAGE="https://wiki.gnome.org/Apps/Ghex"
@ -12,16 +12,22 @@ KEYWORDS="~amd64 ~arm ~ppc ~ppc64 ~x86 ~amd64-linux ~x86-linux"
IUSE=""
RDEPEND="
>=dev-libs/atk-1
>=dev-libs/atk-1.0.0
>=dev-libs/glib-2.31.10:2
>=x11-libs/gtk+-3.3.8:3
"
DEPEND="${RDEPEND}
>=sys-devel/gettext-0.17
app-text/yelp-tools
DEPEND="${RDEPEND}"
BDEPEND="
dev-libs/appstream-glib
dev-libs/libxml2:2
dev-util/itstool
>=sys-devel/gettext-0.19.8
virtual/pkgconfig
"
# Requires unreleased appstream-glib-0.7.16 for tests to pass..
RESTRICT="test" # https://gitlab.gnome.org/GNOME/ghex/issues/18
pkg_postinst() {
xdg_pkg_postinst
gnome2_schemas_update

Binary file not shown.

@ -28,10 +28,6 @@ src_prepare() {
rm LICENSE.txt NOTICE.txt || die
rmdir logs || die
if use x-pack; then
rm -r modules/x-pack-ml/platform/{darwin,windows}-x86_64 || die
fi
}
src_install() {

@ -1,4 +1,4 @@
# Copyright 1999-2017 Gentoo Foundation
# Copyright 1999-2019 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=6
@ -17,6 +17,7 @@ KEYWORDS="alpha amd64 ~arm hppa ia64 ~mips ppc ppc64 sparc x86"
IUSE="pam test"
RDEPEND="
!>=sys-apps/kbd-2.1.0[pam]
pam? ( sys-libs/pam )"
DEPEND="

Binary file not shown.

@ -0,0 +1,17 @@
GetCmdChar: fix compilation with --disable-nls
Bug: https://bugs.gentoo.org/689904
--- a/ed.inputl.c
+++ b/ed.inputl.c
@@ -669,8 +669,8 @@
{
#ifndef WINNT_NATIVE // We use more than 256 for various extended keys
- wint_t c = ch & CHAR;
+ eChar c = ch & CHAR;
#else
- wint_t c = ch;
+ eChar c = ch;
#endif
return c < NT_NUM_KEYS ? CurrentKeyMap[c] : F_INSERT;
}

@ -32,6 +32,7 @@ CONFDIR=${WORKDIR}/tcsh-gentoo-patches-r${CONFVER}
PATCHES=(
"${FILESDIR}"/${PN}-6.20.00-debian-dircolors.patch # bug #120792
"${FILESDIR}"/${PN}-6.18.01-aix.patch
"${FILESDIR}"/${PN}-6.21.00-no-nls.patch
)
src_prepare() {

Binary file not shown.

@ -1,2 +1,3 @@
DIST leatherman-1.3.0.tar.gz 434229 BLAKE2B e0c19bca2378afc4928554ac0862543504ba725aadc6cffd78220f7f7f1b725cad960fc6d9fdd2d54a43c233b35959ebcb9c71d1191a5535703599fa32e3301e SHA512 5e06be7add652f69b0d4a8d778e33dfb68183c4d598217cc6542d2431f7984f0af989c27bd69e89b77ab03d6dd2adab9d70f68cd87dae20d8e24ae05923fbe9b
DIST leatherman-1.6.0.tar.gz 814463 BLAKE2B 1c990c261ded1fd32bb5b1912f84a4bef8ac3ccfae9172e0496f90283e1a2ac210bf9dc1c7e88bcb8776798674d93c1313359135051b4c7f023e1e3080104e2e SHA512 d0d22b60db2c164183268d29fe1bc1ee9ed16797d38174849eaa74841f801869d038e5672664aae89517487811a70f689a345a2c87d3a2f0a04d55214e7f9eaa
DIST leatherman-1.6.1.tar.gz 814463 BLAKE2B b3370eaf1312894dadb9e754869cf72d498c452ef4c740acc9550d1c3fd881a673439f35fcfe2475635869910df52e81d0cc9b97a7a2fc62227a14376297f55b SHA512 0803b985b57bd5e34ba31137b31fdfece53cb545dffb6a9447aa3de0353c9300e2d9e41b2b4f761b7683e02ed6577decfb1938d238314fd8439eccb16aa9475a

@ -0,0 +1,58 @@
# Copyright 1999-2019 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=6
inherit cmake-utils multilib
DESCRIPTION="A C++ toolkit"
HOMEPAGE="https://github.com/puppetlabs/leatherman"
SRC_URI="https://github.com/puppetlabs/${PN}/archive/${PV}.tar.gz -> ${P}.tar.gz"
LICENSE="Apache-2.0"
IUSE="debug static-libs test"
KEYWORDS="~amd64 ~arm ~hppa ~ppc ~ppc64 ~sparc ~x86"
SLOT="0/${PV}"
RDEPEND="net-misc/curl"
DEPEND=">=dev-libs/boost-1.54:=[nls]
net-misc/curl
>=sys-devel/gcc-4.8:*"
PATCHES=( "${FILESDIR}"/portage-sandbox-test-fix.patch )
src_prepare() {
sed -i 's/\-Werror\ //g' "cmake/cflags.cmake" || die
cmake-utils_src_prepare
}
src_configure() {
local mycmakeargs=(
-DCMAKE_VERBOSE_MAKEFILE=ON
-DCMAKE_BUILD_TYPE=None
-DCMAKE_INSTALL_PREFIX=/usr
)
if ! use static-libs; then
mycmakeargs+=(
-DLEATHERMAN_SHARED=ON
)
else
mycmakeargs+=(
-DLEATHERMAN_SHARED=OFF
)
fi
if use debug; then
mycmakeargs+=(
-DCMAKE_BUILD_TYPE=Debug
)
fi
cmake-utils_src_configure
}
src_test() {
"${WORKDIR}/${P}"_build/bin/leatherman_test
}
src_install() {
cmake-utils_src_install
}

@ -2,12 +2,8 @@
<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
<pkgmetadata>
<maintainer type="person">
<email>dpisklov@gmail.com</email>
<name>Dmitry Pisklov</name>
</maintainer>
<maintainer type="project">
<email>proxy-maint@gentoo.org</email>
<name>Proxy Maintainers</name>
<email>polynomial-c@gentoo.org</email>
<name>Lars Wendler</name>
</maintainer>
<upstream>
<remote-id type="sourceforge">libgaminggear</remote-id>

@ -1,3 +1,3 @@
DIST libxmlb-0.1.10.tar.gz 86237 BLAKE2B 042898be9ff8bb6b253ce7194e774bf6a1d8f08316ba54647b3667b1969c035364c3ef25d179fab20cbf9ca83bbd7e4d6012ec1adf08849fe99e40ab9a294983 SHA512 81f5edf776241580c0e47f43f9b15ecbc695022007cf90070f95ca190f2a270f15a856a89246c772f52e93b8eed88d228c5f426cd4dc84e8e6fdf2556b8714b3
DIST libxmlb-0.1.11.tar.gz 88848 BLAKE2B b8ae448f8ead51c884304c190c2b5535f864eb410f45adc4c1f548d6aedcba944b6e0418fbc781e2561e18b392f3a77df8512f6d3ec5e0831513a2dac520409d SHA512 734082c4c15d8b02eb3e526b59fb6be8a7a61758a059792fca567c9a647df0597561fb6967903fb44d566ccd6e8e6d99286d0cae495b9d8ec12a3cd257c24a16
DIST libxmlb-0.1.8.tar.gz 85945 BLAKE2B 4d17aaf4e5ed3001a4db24e7ca220cba3fc14ee446b127b65b545fab997c7c31835b57b0dd9d23da74200d774e3986558e7618789f42d1e95c0734fa5bb6e098 SHA512 4109f171da4622429d18afdb9ae183a64f89e0b92df285efae5736017970f877a92391876969c20894184c6d5df96390ccd46be1d1087882a5461476c39e433a
DIST libxmlb-0.1.9.tar.gz 86069 BLAKE2B 04ebad715a49bce7a035b3dd499f98b71aa87ad553b5f818ff60128814b3527c3fda58e8e0767eb2cde57626898e05d3b8439f1894c45249a572aebb7f2e2f45 SHA512 a87e3a708bf5a7dc5452da5a3157fe79224c32175add63f6c077252c856e58cdfb80d0d69a79868964abb318cc44d5512a61eb99c8267ff2fb9aa921ed78fb13

@ -24,7 +24,6 @@ done quickly and working on the features that make their application unique.
</upstream>
<use>
<flag name="7z">Add Support for the 7z archive format</flag>
<flag name="apache">Enable support to write Apache modules using POCO</flag>
<flag name="cppparser">Build and install a minimal C++ parser</flag>
<flag name="crypto">Encryption and digital signing classes</flag>
<flag name="data">Database abstraction layer to easily send/retrieve data to/from various databases</flag>

@ -1,121 +0,0 @@
# Copyright 1999-2019 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI="5"
inherit eutils toolchain-funcs flag-o-matic multilib versionator
MY_P="${P/_}"
MY_DOCP="${PN}-$(get_version_component_range 1-3)-all-doc"
DESCRIPTION="C++ libraries for building network-based applications"
HOMEPAGE="https://pocoproject.org/"
SRC_URI="https://pocoproject.org/releases/poco-$(get_version_component_range 1-3)/${MY_P}-all.tar.bz2
doc? ( mirror://sourceforge/poco/${MY_DOCP}.zip )"
LICENSE="Boost-1.0"
SLOT="0"
KEYWORDS="~amd64 ~arm ~x86"
IUSE="doc examples iodbc libressl mysql odbc sqlite ssl test"
DEPEND=">=dev-libs/libpcre-8.13
dev-libs/expat
sys-libs/zlib
mysql? ( virtual/mysql )
odbc? ( iodbc? ( dev-db/libiodbc )
!iodbc? ( dev-db/unixODBC ) )
ssl? (
!libressl? ( dev-libs/openssl:0= )
libressl? ( dev-libs/libressl )
)
sqlite? ( dev-db/sqlite:3 )"
RDEPEND="${DEPEND}"
S="${WORKDIR}/${MY_P}-all"
src_prepare() {
epatch \
"${FILESDIR}"/${PV}-gentoo.patch \
"${FILESDIR}"/poco-1.4.4-patch-for-libpcre-8.32.patch
}
src_configure() {
targets="libexecs"
odbc="unixodbc"
if use ssl; then
targets="${targets} NetSSL_OpenSSL-libexec Crypto-libexec"
echo NetSSL_OpenSSL >> components
echo Crypto >> components
fi
if use odbc; then
targets="${targets} Data/ODBC-libexec"
echo Data/ODBC >> components
if use iodbc; then
append-flags "-I/usr/include/iodbc"
odbc="iodbc"
fi
fi
if use sqlite; then
targets="${targets} Data/SQLite-libexec"
echo Data/SQLite >> components
fi
if use mysql; then
targets="${targets} Data/MySQL-libexec"
echo Data/MySQL >> components
fi
if use test; then
targets="${targets} cppunit tests"
echo CppUnit >> components
use ssl && targets="${targets} NetSSL_OpenSSL-tests Crypto-tests"
use odbc && targets="${targets} Data/ODBC-tests"
use sqlite && targets="${targets} Data/SQLite-tests"
use mysql && targets="${targets} Data/MySQL-tests"
fi
local myconf
use test || myconf="--no-tests"
# not autoconf
./configure \
--no-samples ${myconf} \
--prefix=/usr \
--unbundled \
|| die "configure failed"
sed -i \
-e 's|-O2||g' \
-e "s|CC = .*|CC = $(tc-getCC)|" \
-e "s|CXX = .*|CXX = $(tc-getCXX)|" \
-e "s|RANLIB = .*|RANLIB = $(tc-getRANLIB)|" \
-e "s|LIB = ar|LIB = $(tc-getAR)|" \
-e "s|STRIP = .*|STRIP = /bin/true|" \
-e "s|CFLAGS = |CFLAGS = ${CFLAGS}|" \
-e "s|CXXFLAGS = |CXXFLAGS = ${CXXFLAGS} |" \
-e "s|LINKFLAGS =|LINKFLAGS = ${LDFLAGS} |" \
-e "s|SHAREDOPT_LINK = -Wl,-rpath,\$(LIBPATH)|SHAREDOPT_LINK =|" \
build/config/Linux build/config/FreeBSD || die "sed failed"
sed -i -e "s|SHLIBFLAGS)|SHLIBFLAGS) ${LDFLAGS}|" build/rules/lib || die
}
src_compile() {
emake POCO_PREFIX=/usr GENTOO_ODBC="${odbc}" LIBDIR="$(get_libdir)" ${targets} || die "emake failed"
}
src_install() {
emake POCO_PREFIX=/usr LIBDIR="$(get_libdir)" DESTDIR="${D}" install || die "emake install failed"
dodoc CHANGELOG CONTRIBUTORS NEWS README
use doc && dohtml -r "${WORKDIR}/${MY_DOCP}"/*
if use examples ; then
for d in Net XML Data Util NetSSL_OpenSSL Foundation ; do
insinto /usr/share/doc/${PF}/examples/${d}
doins -r ${d}/samples
done
find "${D}/usr/share/doc/${PF}/examples" \
-iname "*.sln" -or -iname "*.vcproj" -or \
-iname "*.vmsbuild" -or -iname "*.properties" \
| xargs rm
fi
}

@ -1,128 +0,0 @@
# Copyright 1999-2019 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=6
inherit cmake-utils
DESCRIPTION="C++ libraries for building network-based applications"
HOMEPAGE="https://pocoproject.org/"
SRC_URI="https://github.com/pocoproject/${PN}/archive/${P}-release.tar.gz -> ${P}.tar.gz"
LICENSE="Boost-1.0"
SLOT="0"
KEYWORDS="~amd64 ~arm ~x86"
IUSE="7z apache cppparser +crypto +data examples +file2pagecompiler +json +pagecompiler iodbc libressl mariadb +mongodb mysql +net odbc pdf pocodoc sqlite +ssl test +util +xml +zip"
REQUIRED_USE="7z? ( xml )
apache? ( net util )
file2pagecompiler? ( pagecompiler )
iodbc? ( odbc )
mongodb? ( data )
mysql? ( data )
odbc? ( data )
pagecompiler? ( json net util xml )
pocodoc? ( cppparser util xml )
sqlite? ( data )
test? ( data? ( sqlite ) json util xml )"
RDEPEND=">=dev-libs/libpcre-8.13
xml? ( dev-libs/expat )
apache? ( dev-libs/apr
dev-libs/apr-util
www-servers/apache )
mysql? ( !mariadb? ( dev-db/mysql-connector-c:0= )
mariadb? ( dev-db/mariadb-connector-c:0= ) )
odbc? ( iodbc? ( dev-db/libiodbc )
!iodbc? ( dev-db/unixODBC ) )
ssl? (
!libressl? ( <dev-libs/openssl-1.1.0:0= )
libressl? ( dev-libs/libressl )
)
sqlite? ( dev-db/sqlite:3 )
zip? ( sys-libs/zlib )"
DEPEND="${DEPEND}
virtual/pkgconfig"
S="${WORKDIR}/${PN}-${P}-release"
PATCHES=( "${FILESDIR}/${PN}-1.7.2-iodbc-incdir.patch" )
src_prepare() {
if use test ; then
# ignore missing tests on experimental library
# and tests requiring running DB-servers, internet connections, etc.
sed -i \
-e '/testsuite/d' \
{Data/{MySQL,ODBC},MongoDB,Net,NetSSL_OpenSSL,PDF}/CMakeLists.txt || die
# Poco expands ~ using passwd, which does not match $HOME in the build environment
sed -i \
-e '/CppUnit_addTest.*testExpand/d' \
Foundation/testsuite/src/PathTest.cpp || die
# ignore failing Crypto test since upstream does not seem to care,
# see https://github.com/pocoproject/poco/issues/1209
sed -i \
-e '/RSATest, testRSACipherLarge/d' \
Crypto/testsuite/src/RSATest.cpp || die
fi
if use mariadb ; then
# Fix MariaDB detection
sed -i -e 's~/usr/include/mysql~~' \
-e 's/STATUS "Couldn/FATAL_ERROR "Couldn/' \
cmake/FindMySQL.cmake || die
else
# Fix MySQL detection
sed -i -e 's/mysqlclient_r/mysqlclient/' \
-e 's/STATUS "Couldn/FATAL_ERROR "Couldn/' \
cmake/FindMySQL.cmake || die
fi
cmake-utils_src_prepare
}
src_configure() {
local mycmakeargs=(
-DPOCO_UNBUNDLED=ON
-DENABLE_APACHECONNECTOR="$(usex apache)"
-DENABLE_CPPPARSER="$(usex cppparser)"
-DENABLE_CRYPTO="$(usex ssl)"
-DENABLE_DATA="$(usex data)"
-DENABLE_DATA_MYSQL="$(usex mysql)"
-DENABLE_DATA_ODBC="$(usex odbc)"
-DENABLE_DATA_SQLITE="$(usex sqlite)"
-DENABLE_JSON="$(usex util)"
-DENABLE_MONGODB="$(usex mongodb)"
-DENABLE_NET="$(usex net)"
-DENABLE_NETSSL="$(usex ssl)"
-DENABLE_NETSSL_WIN=OFF
-DENABLE_PAGECOMPILER="$(usex pagecompiler)"
-DENABLE_PAGECOMPILER_FILE2PAGE="$(usex file2pagecompiler)"
-DENABLE_PDF="$(usex pdf)"
-DENABLE_POCODOC="$(usex pocodoc)"
-DENABLE_SEVENZIP="$(usex 7z)"
-DENABLE_TESTS="$(usex test)"
-DENABLE_UTIL="$(usex util)"
-DENABLE_XML="$(usex xml)"
-DENABLE_ZIP="$(usex zip)"
)
if ! use iodbc ; then
sed -i -e 's|iodbc||' cmake/FindODBC.cmake || die
fi
cmake-utils_src_configure
}
src_install() {
cmake-utils_src_install
if use examples ; then
for sd in */samples ; do
insinto /usr/share/doc/${PF}/examples/${sd%/samples}
doins -r ${sd}
done
find "${D}/usr/share/doc/${PF}/examples" \
-iname "*.sln" -or -iname "*.vcproj" -or \
-iname "*.vmsbuild" -or -iname "*.properties" \
| xargs rm
fi
}

@ -54,7 +54,7 @@ src_prepare() {
# and tests requiring running DB-servers, internet connections, etc.
sed -i \
-e '/testsuite/d' \
{Data/{MySQL,ODBC},MongoDB,Net,NetSSL_OpenSSL,PDF}/CMakeLists.txt || die
{Data/{MySQL,ODBC},MongoDB,Net,NetSSL_OpenSSL,PDF,Redis}/CMakeLists.txt || die
# Poco expands ~ using passwd, which does not match $HOME in the build environment
sed -i \
-e '/CppUnit_addTest.*testExpand/d' \
@ -67,17 +67,20 @@ src_prepare() {
fi
if use mariadb ; then
# Fix MariaDB detection
# Fix MariaDB detection
sed -i -e 's~/usr/include/mysql~~' \
-e 's/STATUS "Couldn/FATAL_ERROR "Couldn/' \
cmake/FindMySQL.cmake || die
else
# Fix MySQL detection
# Fix MySQL detection
sed -i -e 's/mysqlclient_r/mysqlclient/' \
-e 's/STATUS "Couldn/FATAL_ERROR "Couldn/' \
cmake/FindMySQL.cmake || die
fi
# Add missing directory that breaks the build
mkdir -p Encodings/testsuite/data || die
cmake-utils_src_prepare
}
@ -115,6 +118,10 @@ src_configure() {
cmake-utils_src_configure
}
src_test() {
POCO_BASE="${S}" cmake-utils_src_test
}
src_install() {
cmake-utils_src_install

@ -1,9 +1,9 @@
# Copyright 1999-2019 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=5
EAPI=7
DESCRIPTION="A portable and lightweight generic library for handling UTF-8 strings"
DESCRIPTION="Portable and lightweight generic library for handling UTF-8 strings"
HOMEPAGE="https://sourceforge.net/projects/utfcpp/"
SRC_URI="mirror://sourceforge/utfcpp/utf8_v${PV//./_}.zip"

Binary file not shown.

@ -26,7 +26,9 @@ IUSE=""
REQUIRED_USE="${PYTHON_REQUIRED_USE}"
DEPEND="${PYTHON_DEPS}"
RDEPEND="${DEPEND}"
RDEPEND="${DEPEND}
!<dev-python/PyQt5-5.12.2
"
S=${WORKDIR}/${MY_P}

@ -26,7 +26,9 @@ IUSE=""
REQUIRED_USE="${PYTHON_REQUIRED_USE}"
DEPEND="${PYTHON_DEPS}"
RDEPEND="${DEPEND}"
RDEPEND="${DEPEND}
!<dev-python/PyQt5-5.12.2
"
S=${WORKDIR}/${MY_P}

@ -58,6 +58,7 @@ QT_PV="5.9.4:5"
RDEPEND="
${PYTHON_DEPS}
>=dev-python/sip-4.19.6:=[${PYTHON_USEDEP}]
!dev-python/PyQt5-sip
>=dev-qt/qtcore-${QT_PV}
>=dev-qt/qtxml-${QT_PV}
bluetooth? ( >=dev-qt/qtbluetooth-${QT_PV} )

@ -1,2 +1,3 @@
DIST boto-2.41.0.tar.gz 1440323 BLAKE2B 9d72fcd09cbf57d22dc45d42699af8cecef6f2c8e4009c9d70b54a9b84e23801ecbb5f7bc484692ca93ae302793b4d2f511c1209bcd33d0703a39b809bda1e00 SHA512 ffb503e8f7ec84ec973e109ae9524e1db2ef5f34d9424c380eed9a85871f07f8c9c798ca358fefd772ff45a72226bb02eebbbf6ab2d56b2442c41ede736f6f5e
DIST boto-2.48.0.tar.gz 1461372 BLAKE2B 0069ddc6def7d8698471bd66a5d8d4b62d49f49138036b3ae6a9655e7b7432af5449f2812e83f2012be2f01e93a61d9608157c9fd4ea0a52f8801e31877a78a7 SHA512 ce8e302b059ef31e81078ef21999b96b8770d2ef0c70358624c8cc6a79b1a43a78e1c206cbcba50eafb9c964c4eda5b9b0b127ea9523dcf7438453b4b2293f9f
DIST boto-2.49.0.tar.gz 1478498 BLAKE2B 6a897ea162f5f4bd34a2d488a3e3897f7f2f5b8707dd0922c01b6a0b90ea577223bf3e588b6685bda1f2bc0e92af426711fcba67a70377183465a530065c6c84 SHA512 2175cf30cd25bbc05812e83e5ade7668c3e21b1bb09aa1b43f0f0ac7d6967a646394fb52c9be673ebb65618c5b33a52d6f31f6da702f5cd1d6c9a18169476dd4

@ -0,0 +1,54 @@
# Copyright 1999-2019 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
PYTHON_COMPAT=( python2_7 python3_{5,6,7} )
inherit distutils-r1
DESCRIPTION="Amazon Web Services API"
HOMEPAGE="https://github.com/boto/boto https://pypi.org/project/boto/"
SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
LICENSE="MIT"
SLOT="0"
KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~sparc ~x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos"
IUSE="doc test"
REQUIRED_USE="doc? ( || ( $(python_gen_useflags 'python2*') ) )"
DEPEND="
dev-python/setuptools[${PYTHON_USEDEP}]
test? ( dev-python/nose[${PYTHON_USEDEP}] )
doc? ( dev-python/sphinx[${PYTHON_USEDEP}] )"
# requires Amazon Web Services keys to pass some tests
RESTRICT="test"
pkg_setup() {
use doc && DISTUTILS_ALL_SUBPHASE_IMPLS=( 'python2*' )
}
python_test() {
"${PYTHON}" tests/test.py -v || die "Tests fail with ${EPYTHON}"
}
python_prepare_all() {
# Prevent un-needed d'loading
sed -e "s/, 'sphinx.ext.intersphinx'//" -i docs/source/conf.py || die
distutils-r1_python_prepare_all
}
python_compile_all() {
if use doc; then
# Appease the doc build and supply a file for _static
# the usual emake -C docs doesn't work under this authorship
cd docs && mkdir source/_static || die
emake html
fi
}
python_install_all() {
use doc && local HTML_DOCS=( docs/build/html/. )
distutils-r1_python_install_all
}

@ -1,2 +1,3 @@
DIST google-apitools-0.5.16.tar.gz 405331 BLAKE2B 9bd086a68e5787f6dcd426887bb5e0af23ac985f851471da61567266fe52dc254054f0f2fb49e08b461c9281a32c25a764a7b751e10fe6ccca13c2758cdc4637 SHA512 cda60ec21622368c67cc47900218ceaa4137e6d602ee5196f59dac82aa87d35382785323971cc7e4aedf9d69e0a1baf8017c5d941d05171df9e1d5eea15570eb
DIST google-apitools-0.5.22.tar.gz 422977 BLAKE2B 1734f7e19ff90ff5997921ec1e57a29eec13f20dac4d7c84015d40f13147429ad93400a2eaa6038fdbf3ff2b5700dc1a0f6da6cca0706598b3a1eb5abba341b1 SHA512 f184b0ccc17ae80e8436727afab62a3e655ddecc37bde23dd144cc285461b80846fb1df24f21d75f06f521dbc28e8f3e9d5838d769ac52aff83c0aa8d1be66d5
DIST google-apitools-0.5.30.tar.gz 363524 BLAKE2B ed8477c85911f5855a449abe81b465635d3cc4e08d2915de5e882608e634f3dd9ffdda929bd8b25eb3daa5922851aa9304ffe07778cdf3a3aa629e215633515a SHA512 2dffffada829b9b962c64aab22b19cd227981819128c34f3e32515ee599297b3d5e8c97152d954110c2ef27c02737d3c30c785840b9f9767068688f62dc0b5c7

@ -0,0 +1,21 @@
diff --git a/apitools/base/protorpclite/descriptor_test.py b/apitools/base/protorpclite/descriptor_test.py
index fc27ec4..d518e24 100644
--- a/apitools/base/protorpclite/descriptor_test.py
+++ b/apitools/base/protorpclite/descriptor_test.py
@@ -16,6 +16,7 @@
#
"""Tests for apitools.base.protorpclite.descriptor."""
+import sys
import platform
import types
@@ -78,7 +79,7 @@ class DescribeEnumTest(test_util.TestCase):
described.check_initialized()
self.assertEquals(expected, described)
- @unittest2.skipIf('PyPy' in platform.python_implementation(),
+ @unittest2.skipIf('PyPy' in platform.python_implementation() or sys.hexversion >= 0x03060000,
'todo: reenable this')
def testEnumWithItems(self):
class EnumWithItems(messages.Enum):

@ -0,0 +1,40 @@
# Copyright 1999-2019 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
PYTHON_COMPAT=( python{2_7,3_6} )
inherit distutils-r1
DESCRIPTION="Python library to manipulate Google APIs"
HOMEPAGE="https://github.com/google/apitools"
SRC_URI="https://github.com/google/apitools/archive/v${PV}.tar.gz -> ${P}.tar.gz"
LICENSE="Apache-2.0"
SLOT="0"
KEYWORDS="~amd64 ~arm ~x86"
IUSE="test"
RDEPEND=">=dev-python/httplib2-0.8[${PYTHON_USEDEP}]
>=dev-python/fasteners-0.14[${PYTHON_USEDEP}]
>=dev-python/oauth2client-1.5.2[${PYTHON_USEDEP}]
>=dev-python/six-1.12.0[${PYTHON_USEDEP}]
>=dev-python/python-gflags-3.1.2[${PYTHON_USEDEP}]"
DEPEND="${RDEPEND}
>=dev-python/setuptools-18.5[${PYTHON_USEDEP}]
test? (
dev-python/nose[${PYTHON_USEDEP}]
>=dev-python/unittest2-0.5.1[${PYTHON_USEDEP}]
>=dev-python/mock-1.0.1[${PYTHON_USEDEP}]
)"
S="${WORKDIR}/apitools-${PV}"
PATCHES=(
"${FILESDIR}/google-apitools-0.5.30-skip-enum-test-on-new-python.patch"
)
python_test() {
nosetests -v || die "tests failed with ${EPYTHON}"
}

@ -1,9 +1,9 @@
# Copyright 1999-2018 Gentoo Foundation
# Copyright 1999-2019 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI="6"
EAPI=7
PYTHON_COMPAT=( python{2_7,3_6} pypy )
PYTHON_COMPAT=( python{2_7,3_6,3_7} pypy )
inherit distutils-r1

@ -0,0 +1,32 @@
diff --git a/test/test_submit.py b/test/test_submit.py
index bce5362..2d13811 100644
--- a/test/test_submit.py
+++ b/test/test_submit.py
@@ -1,13 +1,23 @@
import unittest
-import os
-import sys
-sys.path.insert(0, os.path.abspath(os.path.join(os.path.dirname(__file__), "..")))
-
import musicbrainzngs
from musicbrainzngs import musicbrainz
from test import _common
+
class SubmitTest(unittest.TestCase):
+
+ def setUp(self):
+ self.orig_opener = musicbrainzngs.compat.build_opener
+ musicbrainz.set_useragent("test_client", "1.0")
+ musicbrainz.auth("user", "password")
+
+ def tearDown(self):
+ musicbrainzngs.compat.build_opener = self.orig_opener
+ musicbrainz._useragent = ""
+ musicbrainz._client = ""
+ musicbrainz.user = ""
+ musicbrainz.password = ""
+
def test_submit_tags(self):
self.opener = _common.FakeOpener("<response/>")
musicbrainzngs.compat.build_opener = lambda *args: self.opener

@ -1,9 +1,9 @@
# Copyright 1999-2019 Gentoo Authors
# Copyright 2019 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=5
EAPI=7
PYTHON_COMPAT=( python{2_7,3_5,3_6} )
PYTHON_COMPAT=( python2_7 python3_{5,6,7} )
inherit distutils-r1
@ -20,6 +20,8 @@ IUSE="doc examples test"
S="${WORKDIR}/${MY_PN}-${PV}"
PATCHES="${FILESDIR}/0.6-fix-test-submit.patch"
DEPEND="${RDEPEND}
dev-python/setuptools[${PYTHON_USEDEP}]
doc? ( dev-python/sphinx[${PYTHON_USEDEP}] )"
@ -35,7 +37,7 @@ python_compile_all() {
}
python_test() {
esetup.py test
esetup.py test --verbosity=2
}
python_install_all() {

@ -1,2 +1,2 @@
DIST texttable-0.9.1.tar.gz 11074 BLAKE2B 465738a7b980f2a216d63b268044c1a1b8c0deb986fd398f0ba0ae30ab84020ac6f179b5314a2071592c38443f9cb86387b9ed573342533af9e825000472ebe5 SHA512 7ec37336ef4b253879d0232dcdb4500cad33ecce1067dd7ea26c221dc2c003ee56360bdbd1dd1e00133301c51c67fb2fe9b1703628804a65f2a6ab8a1e830e50
DIST texttable-1.6.1.tar.gz 11185 BLAKE2B d3fd85de8b6fa14ec6c520c0c0049ee043285fecaf7d31fbc1f361e0c9a27b66a75caf8aa0f85109523143f36ba2da47818ce91c4946c0b4d5391a0a4c5d9028 SHA512 72d4bb5c4f03b1f9dbfc4b1e375ad754e92610f71e65c7e9a0b7bdc88b3753254b143aa607570d49cfca56a3cf889a819e12ea184fdf34594f1f5d118de3c12c
DIST texttable-1.6.2.tar.gz 11450 BLAKE2B 8090914b20a93283ea3d533a8120d4d2c5f058a0e79550b29d4b9fa740db5e309d84a7983fb6665149e3624ba7039b67ff6a553b180b915a348e5b53e793d5cd SHA512 e59275c64813bd00fa5172c43491820122b6045e1a416c917576cbf595c1ec24d146e571708379f4b32775bda904f16ced0e9e15ab7b2dde78a214f26a1c4de6

Binary file not shown.

@ -0,0 +1,41 @@
From deac052a40c93633041da058d5c73c9e91aa76c7 Mon Sep 17 00:00:00 2001
From: =?utf8?q?Tor=20Arne=20Vestb=C3=B8?= <tor.arne.vestbo@qt.io>
Date: Fri, 12 Jul 2019 12:28:29 +0200
Subject: [PATCH] Revert "Reset QWidget's winId when backing window surface is
destroyed"
This reverts commit a9246c7132a2c8864d3ae6cebd260bb9ee711fcb.
The QWidget machinery is way to fragile to reset the winId under the
feet of QWidget like that. We would potentially need to include all
the logic in QWidget::destroy. This also ties into the flow between
QtGui and QtWidgets during window closing, which is still unresolved.
Change-Id: I168048a63c89796398eb5331a80ce3e5c8d9a208
Fixes: QTBUG-76588
Task-number: QTBUG-69289
Reviewed-by: Friedemann Kleint <Friedemann.Kleint@qt.io>
Reviewed-by: Volker Hilsheimer <volker.hilsheimer@qt.io>
---
src/widgets/kernel/qwidget.cpp | 6 ------
1 file changed, 6 deletions(-)
diff --git a/src/widgets/kernel/qwidget.cpp b/src/widgets/kernel/qwidget.cpp
index fdb38729032..6f0f39a3443 100644
--- a/src/widgets/kernel/qwidget.cpp
+++ b/src/widgets/kernel/qwidget.cpp
@@ -9382,12 +9382,6 @@ bool QWidget::event(QEvent *event)
d->renderToTextureReallyDirty = 1;
#endif
break;
- case QEvent::PlatformSurface: {
- auto surfaceEvent = static_cast<QPlatformSurfaceEvent*>(event);
- if (surfaceEvent->surfaceEventType() == QPlatformSurfaceEvent::SurfaceAboutToBeDestroyed)
- d->setWinId(0);
- break;
- }
#ifndef QT_NO_PROPERTIES
case QEvent::DynamicPropertyChange: {
const QByteArray &propName = static_cast<QDynamicPropertyChangeEvent *>(event)->propertyName();
--
2.16.3

@ -42,6 +42,10 @@ QT5_GENTOO_PRIVATE_CONFIG=(
:widgets
)
PATCHES+=(
"${FILESDIR}/${P}-revert-reset-winId.patch" # bug 689704
)
src_configure() {
local myconf=(
-opengl $(usex gles2 es2 desktop)

Binary file not shown.

@ -1,3 +1,4 @@
DIST facter-3.13.2.tar.gz 392065 BLAKE2B ae06a1a44de25f55b2eb84483a7abc70433b9437a00724f239a908846148f20bdb3e208d10256e6ddeb7d609ee9eb1c572e14dad84d8640fee147c34cb1bf184 SHA512 c7d1d0958720e0884b06eccf6d7fca64d2c8462c1747bbfbfe5df957ad009c3e930fe5eee80d42c985ea9f59e2b8b7d0a34a194a7e1c713a043bbee9a3b89df3
DIST facter-3.13.3.tar.gz 393406 BLAKE2B 2a428fc43a46024233f2924a759a52bcbf55655cc430add9cbe4958ae36c581c2bbd05069279e129fea2f29afd8cf3a3a6a522b728d14214192253e0010b05c3 SHA512 26b1788aae0ffbc7ad9365f03486be5a3a6c27c4b06542aad68eceb34de90de53128d2abcb47fa6cbaeee082b1c1b86739d70619c7263b8797e49a0ed7f6c652
DIST facter-3.14.1.tar.gz 393548 BLAKE2B a3f61df9a7a302948fa8579c451b5cdb973a3e8b92109582b1a6046c68e5212b675f9310012409194f933574d004a7a3fbed1dc0e20576a2ee759feadeac54ee SHA512 b3f4cbaffb2c70423fd9d5eca7afdee35f92f3a3445fb78996258471a3dc3881b1797bed5ee90aa66b62b0e9d1b979dbc05b6e169499d4f1a9e61f002118476d
DIST facter-3.9.2.tar.gz 380883 BLAKE2B d2804664e0499715230e5696c5a9ebae933f5b43dfb37154251d47763c2c7f78cfa8d1413dd836e5a0c76ed67300d066fa5bb390f17f85cd4cb7a444eaf0d133 SHA512 bc040826311bbff40f5a151ade315d9d47ef1e0f3faa570805e48ca55405265e66308230118b9cd59f701ecd76a7b0fd4d9200dd4ace838521223a162b105374

@ -0,0 +1,112 @@
# Copyright 1999-2019 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=6
USE_RUBY="ruby23 ruby24 ruby25 ruby26"
# git-r3 goes after ruby-ng so that it overrides src_unpack properly
inherit cmake-utils eutils multilib ruby-ng
DESCRIPTION="A cross-platform ruby library for retrieving facts from operating systems"
HOMEPAGE="http://www.puppetlabs.com/puppet/related-projects/facter/"
LICENSE="Apache-2.0"
SLOT="0"
IUSE="debug test"
if [[ ${PV} == 9999 ]] ; then
inherit git-r3
EGIT_REPO_URI="https://github.com/puppetlabs/facter.git"
EGIT_BRANCH="master"
else
[[ "${PV}" = *_rc* ]] || \
KEYWORDS="~amd64 ~arm ~hppa ~ppc ~ppc64 ~sparc ~x86"
SRC_URI="https://github.com/puppetlabs/${PN}/archive/${PV}.tar.gz -> ${P}.tar.gz"
fi
BDEPEND="
>=sys-devel/gcc-4.8:*
dev-cpp/cpp-hocon"
COMMON_DEPEND="
>=dev-libs/leatherman-1.0.0:=
dev-libs/openssl:0=
sys-apps/util-linux
app-emulation/virt-what
net-misc/curl
>=dev-libs/boost-1.54:=[nls]
<dev-libs/boost-1.70.0
>=dev-cpp/yaml-cpp-0.5.1
!<app-admin/puppet-4.0.0"
ruby_add_bdepend "test? ( dev-ruby/rake dev-ruby/rspec:2 dev-ruby/mocha:0.14 )"
RDEPEND="${COMMON_DEPEND}"
DEPEND="${BDEPEND}
${COMMON_DEPEND}"
# restore ${S} and override all phases exported by ruby-ng.eclass
S="${WORKDIR}/${P}"
pkg_setup() {
ruby-ng_pkg_setup
}
src_unpack() {
default
if [[ ${PV} == 9999 ]] ; then
git-r3_src_unpack
fi
}
src_prepare() {
# be explicit about the version of rspec we test with
sed -i -e '/libfacter.*specs/ s/rspec/rspec-2/' \
CMakeLists.txt || die
# be more lenient for software versions for tests
sed -i -e '/rake/ s/~> 10.1.0/>= 10/' \
-e '/rspec/ s/2.11.0/2.11/' \
-e '/mocha/ s/0.10.5/0.14.0/' lib/Gemfile || die
# patches
default
cmake-utils_src_prepare
}
each_ruby_configure() {
# hack for correct calculation of relative path from facter.rb to
# libfacter.so
my_ruby_sitelibdir=$(ruby_rbconfig_value 'sitelibdir')
}
src_configure() {
ruby-ng_src_configure
local mycmakeargs=(
-DCMAKE_VERBOSE_MAKEFILE=ON
-DRUBY_LIB_INSTALL=${my_ruby_sitelibdir}
-DBLKID_LIBRARYDIR="${EPREFIX}/$(get_libdir)"
)
if use debug; then
mycmakeargs+=(
-DCMAKE_BUILD_TYPE=Debug
)
fi
cmake-utils_src_configure
}
src_compile() {
addpredict /proc/self/oom_score_adj
cmake-utils_src_compile
}
src_test() {
cmake-utils_src_test
}
each_ruby_install() {
doruby "${BUILD_DIR}"/lib/facter.rb
}
src_install() {
cmake-utils_src_install
ruby-ng_src_install
}

Binary file not shown.

@ -1,4 +1,5 @@
DIST cmake-3.13.5.tar.gz 8618821 BLAKE2B 765678bc92821207c53bfb4ac995a791b938f20236c3a6fda873b8edd11cd1401b4f4c05f170b8f600f38bde5f1227c715499eee072a8de3bb29d4f5cd230226 SHA512 99e3a8f5bc147dd90b9cab11f06892d87f289aa1354ad323711fe96ebc9c32b1e887e8f9d3575a37831c4d2153a070ff9115c5e27a185d54170bad9dbbaabc26
DIST cmake-3.14.3.tar.gz 8851085 BLAKE2B 92da2c563f7ddc3b12457f63eead850eb99b123298632b5a9e8f80f3e32db20e2b25bc60778855400261d13d4ef42600162248f4a92907a0c581e202fc6620eb SHA512 e257a96334f21f2b2f17e8d43aa32c2b069d13194604393c5ac9d3da193000d5328181c6cf861696186d022aba57679ee2d08073d8a7112727746b2b145a47e2
DIST cmake-3.14.5.tar.gz 8854929 BLAKE2B 3e783de1ce541039c80228a56fed4fd28e9ef2ea48f274995f6f26f8b149f1684aab6da518f27106f364a4f0a6f370334f3a85dd61f1bcce22c34337ef4afdaa SHA512 9acd2de17db86052801194cac570bfc104320c249b83058aa59554b42c3d5af9c9293d1c069f3fe8512a80103d511186d840168cbc190ce9584ca99cb9b11e46
DIST cmake-3.14.6.tar.gz 8861359 BLAKE2B 257a9a89fe880f8945f47a4bb1980e66f0f28ee5cebeb161012860ae8578487e50c60060ad5144ec6f5b7ea860112edd01909ebceec24b8370e3769ff2a79e99 SHA512 8cf3afadec3fe931d9f954e3148a398939cd16c1fbcb4c5303ac635e2b5029960867f317fd13a46fceebe46e7328689e847f03d7d7c74bb31e23c9cc55838f56
DIST cmake-3.15.0-rc4.tar.gz 9267525 BLAKE2B 14cf10e511beedbb96f7c2e231bd6d81bb8973b98a5ea51888e41b2cc0544a25a52735556176f92c6951084b87d201cdd85ff3be0f331d7c7f1125e12b743c18 SHA512 e607f2b3866c35ad63490eb0b15c87fd0df271186840d4a2bf1f7adc88d072fd7f1088e0c8387be5ad39b9d8a45148e9619b1b7e7bfa9d1f3d91e2ee482c335d

@ -0,0 +1,226 @@
# Copyright 1999-2019 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
CMAKE_MAKEFILE_GENERATOR="emake"
CMAKE_REMOVE_MODULES="no"
inherit bash-completion-r1 elisp-common flag-o-matic toolchain-funcs virtualx xdg cmake-utils
MY_P="${P/_/-}"
DESCRIPTION="Cross platform Make"
HOMEPAGE="https://cmake.org/"
SRC_URI="https://cmake.org/files/v$(ver_cut 1-2)/${MY_P}.tar.gz"
LICENSE="CMake"
SLOT="0"
[[ "${PV}" = *_rc* ]] || \
KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86 ~amd64-fbsd ~x86-fbsd ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~sparc-solaris ~x64-solaris ~x86-solaris"
IUSE="doc emacs system-jsoncpp ncurses qt5 test"
RDEPEND="
app-crypt/rhash
>=app-arch/libarchive-3.0.0:=
>=dev-libs/expat-2.0.1
>=dev-libs/libuv-1.10.0:=
>=net-misc/curl-7.21.5[ssl]
sys-libs/zlib
virtual/pkgconfig
emacs? ( virtual/emacs )
ncurses? ( sys-libs/ncurses:0= )
qt5? (
dev-qt/qtcore:5
dev-qt/qtgui:5
dev-qt/qtwidgets:5
)
system-jsoncpp? ( >=dev-libs/jsoncpp-0.6.0_rc2:0= )
"
DEPEND="${RDEPEND}"
BDEPEND="
doc? (
dev-python/requests
dev-python/sphinx
)
"
S="${WORKDIR}/${MY_P}"
SITEFILE="50${PN}-gentoo.el"
PATCHES=(
# prefix
"${FILESDIR}"/${PN}-3.4.0_rc1-darwin-bundle.patch
"${FILESDIR}"/${PN}-3.14.0_rc3-prefix-dirs.patch
# Next patch requires new work from prefix people
#"${FILESDIR}"/${PN}-3.1.0-darwin-isysroot.patch
# handle gentoo packaging in find modules
"${FILESDIR}"/${PN}-3.14.0_rc1-FindBLAS.patch
"${FILESDIR}"/${PN}-3.14.0_rc1-FindLAPACK.patch
"${FILESDIR}"/${PN}-3.5.2-FindQt4.patch
# respect python eclasses
"${FILESDIR}"/${PN}-2.8.10.2-FindPythonLibs.patch
"${FILESDIR}"/${PN}-3.9.0_rc2-FindPythonInterp.patch
# upstream fixes (can usually be removed with a version bump)
)
cmake_src_bootstrap() {
# Cleanup args to extract only JOBS.
# Because bootstrap does not know anything else.
grep -Eo '(\-j|\-\-jobs)(=?|[[:space:]]*)[[:digit:]]+' <<< "${MAKEOPTS}" > /dev/null
if [[ $? -eq 0 ]] ; then
par_arg=$(grep -Eo '(\-j|\-\-jobs)(=?|[[:space:]]*)[[:digit:]]+' <<< "${MAKEOPTS}" | tail -n1 | grep -o '[[:digit:]]+')
par_arg="--parallel=${par_arg}"
else
par_arg="--parallel=1"
fi
# disable running of cmake in boostrap command
sed -i \
-e '/"${cmake_bootstrap_dir}\/cmake"/s/^/#DONOTRUN /' \
bootstrap || die "sed failed"
# execinfo.h on Solaris isn't quite what it is on Darwin
if [[ ${CHOST} == *-solaris* ]] ; then
sed -i -e 's/execinfo\.h/blablabla.h/' \
Source/kwsys/CMakeLists.txt || die
fi
tc-export CC CXX LD
# bootstrap script isn't exactly /bin/sh compatible
${CONFIG_SHELL:-sh} ./bootstrap \
--prefix="${T}/cmakestrap/" \
${par_arg} \
|| die "Bootstrap failed"
}
cmake_src_test() {
# fix OutDir and SelectLibraryConfigurations tests
# these are altered thanks to our eclass
sed -i -e 's:^#_cmake_modify_IGNORE ::g' \
"${S}"/Tests/{OutDir,CMakeOnly/SelectLibraryConfigurations}/CMakeLists.txt \
|| die
pushd "${BUILD_DIR}" > /dev/null
local ctestargs
[[ -n ${TEST_VERBOSE} ]] && ctestargs="--extra-verbose --output-on-failure"
# Excluded tests:
# BootstrapTest: we actualy bootstrap it every time so why test it.
# BundleUtilities: bundle creation broken
# CMakeOnly.AllFindModules: pthread issues
# CTest.updatecvs: which fails to commit as root
# Fortran: requires fortran
# RunCMake.CompilerLauncher: also requires fortran
# RunCMake.CPack_RPM: breaks if app-arch/rpm is installed because
# debugedit binary is not in the expected location
# RunCMake.CPack_DEB: breaks if app-arch/dpkg is installed because
# it can't find a deb package that owns libc
# TestUpload, which requires network access
"${BUILD_DIR}"/bin/ctest \
-j "$(makeopts_jobs)" \
--test-load "$(makeopts_loadavg)" \
${ctestargs} \
-E "(BootstrapTest|BundleUtilities|CMakeOnly.AllFindModules|CompileOptions|CTest.UpdateCVS|Fortran|RunCMake.CompilerLauncher|RunCMake.CPack_(DEB|RPM)|TestUpload)" \
|| die "Tests failed"
popd > /dev/null
}
src_prepare() {
cmake-utils_src_prepare
# disable Xcode hooks, bug #652134
if [[ ${CHOST} == *-darwin* ]] ; then
sed -i -e 's/__APPLE__/__DISABLED_APPLE__/' \
Source/cmGlobalXCodeGenerator.cxx || die
fi
# Add gcc libs to the default link paths
sed -i \
-e "s|@GENTOO_PORTAGE_GCCLIBDIR@|${EPREFIX}/usr/${CHOST}/lib/|g" \
-e "$(usex prefix-guest "s|@GENTOO_HOST@||" "/@GENTOO_HOST@/d")" \
-e "s|@GENTOO_PORTAGE_EPREFIX@|${EPREFIX}/|g" \
Modules/Platform/{UnixPaths,Darwin}.cmake || die "sed failed"
if ! has_version \>=${CATEGORY}/${PN}-3.4.0_rc1 ; then
CMAKE_BINARY="${S}/Bootstrap.cmk/cmake"
cmake_src_bootstrap
fi
}
src_configure() {
# Fix linking on Solaris
[[ ${CHOST} == *-solaris* ]] && append-ldflags -lsocket -lnsl
local mycmakeargs=(
-DCMAKE_USE_SYSTEM_LIBRARIES=ON
-DCMAKE_USE_SYSTEM_LIBRARY_JSONCPP=$(usex system-jsoncpp)
-DCMAKE_INSTALL_PREFIX="${EPREFIX}"/usr
-DCMAKE_DOC_DIR=/share/doc/${PF}
-DCMAKE_MAN_DIR=/share/man
-DCMAKE_DATA_DIR=/share/${PN}
-DSPHINX_MAN=$(usex doc)
-DSPHINX_HTML=$(usex doc)
-DBUILD_CursesDialog="$(usex ncurses)"
-DBUILD_TESTING=$(usex test)
)
if use qt5 ; then
mycmakeargs+=(
-DBUILD_QtDialog=ON
$(cmake-utils_use_find_package qt5 Qt5Widgets)
)
fi
cmake-utils_src_configure
}
src_compile() {
cmake-utils_src_compile
use emacs && elisp-compile Auxiliary/cmake-mode.el
}
src_test() {
virtx cmake_src_test
}
src_install() {
cmake-utils_src_install
if use emacs; then
elisp-install ${PN} Auxiliary/cmake-mode.el Auxiliary/cmake-mode.elc
elisp-site-file-install "${FILESDIR}/${SITEFILE}"
fi
insinto /usr/share/vim/vimfiles/syntax
doins Auxiliary/vim/syntax/cmake.vim
insinto /usr/share/vim/vimfiles/indent
doins Auxiliary/vim/indent/cmake.vim
insinto /usr/share/vim/vimfiles/ftdetect
doins "${FILESDIR}/${PN}.vim"
dobashcomp Auxiliary/bash-completion/{${PN},ctest,cpack}
rm -r "${ED}"/usr/share/cmake/{completions,editors} || die
}
pkg_preinst() {
use qt5 && xdg_pkg_preinst
}
pkg_postinst() {
use emacs && elisp-site-regen
use qt5 && xdg_pkg_postinst
}
pkg_postrm() {
use emacs && elisp-site-regen
use qt5 && xdg_pkg_postrm
}

Binary file not shown.

@ -158,7 +158,7 @@ src_prepare() {
eapply "${FILESDIR}"/${PN}-1.11.1-allow-apr-1.7.0+.patch
eapply_user
fperms +x build/transform_libtool_scripts.sh
chmod +x build/transform_libtool_scripts.sh || die
sed -i \
-e "s/\(BUILD_RULES=.*\) bdb-test\(.*\)/\1\2/g" \

@ -158,7 +158,7 @@ src_prepare() {
eapply "${FILESDIR}"/${PN}-1.11.1-allow-apr-1.7.0+.patch
eapply_user
fperms +x build/transform_libtool_scripts.sh
chmod +x build/transform_libtool_scripts.sh || die
sed -i \
-e "s/\(BUILD_RULES=.*\) bdb-test\(.*\)/\1\2/g" \

@ -157,7 +157,7 @@ src_prepare() {
eapply "${FILESDIR}"/${PN}-1.11.1-allow-apr-1.7.0+.patch
eapply_user
fperms +x build/transform_libtool_scripts.sh
chmod +x build/transform_libtool_scripts.sh || die
sed -i \
-e "s/\(BUILD_RULES=.*\) bdb-test\(.*\)/\1\2/g" \

Binary file not shown.

@ -1,8 +1,8 @@
# Copyright 1999-2017 Gentoo Foundation
# Copyright 1999-2019 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=6
inherit eutils toolchain-funcs flag-o-matic user
inherit eutils toolchain-funcs flag-o-matic
MY_PV=${PV//.}
DESCRIPTION="The ultimate old-school single player dungeon exploration game"
@ -14,7 +14,8 @@ SLOT="0"
KEYWORDS="~amd64 ~arm ~hppa ~x86 ~x86-fbsd"
IUSE="experimental X"
RDEPEND="sys-libs/ncurses:0=
RDEPEND="acct-group/gamestat
sys-libs/ncurses:0=
X? (
x11-libs/libXaw
x11-libs/libXpm
@ -35,8 +36,6 @@ NETHACK_GROUP="gamestat"
pkg_setup() {
HACKDIR="/usr/$(get_libdir)/${PN}"
enewgroup gamestat 36
}
src_prepare() {

@ -2,7 +2,7 @@
# Distributed under the terms of the GNU General Public License v2
EAPI=7
inherit desktop flag-o-matic toolchain-funcs user
inherit desktop flag-o-matic toolchain-funcs
MY_PV=${PV//.}
DESCRIPTION="The ultimate old-school single player dungeon exploration game"
@ -14,7 +14,8 @@ SLOT="0"
KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~ppc ~ppc64 ~x86 ~x86-fbsd"
IUSE="X"
RDEPEND="sys-libs/ncurses:0=
RDEPEND="acct-group/gamestat
sys-libs/ncurses:0=
X? (
x11-libs/libXaw
x11-libs/libXpm
@ -96,8 +97,6 @@ src_install() {
}
pkg_preinst() {
enewgroup gamestat 36
fowners root:gamestat /var/games/nethack /var/games/nethack/save
fperms 2770 /var/games/nethack /var/games/nethack/save

Binary file not shown.

@ -11,18 +11,12 @@ KEYWORDS="~amd64 ~arm64 ~x86"
LICENSE="GPL-2+"
IUSE=""
# some akonadi tests time out, that probably needs more work as it's ~700 tests
RESTRICT+=" test"
COMMON_DEPEND="
DEPEND="
$(add_frameworks_dep ki18n)
$(add_kdeapps_dep kmime)
$(add_qt_dep qtgui)
$(add_qt_dep qtxml)
"
DEPEND="${COMMON_DEPEND}
$(add_kdeapps_dep akonadi)
"
RDEPEND="${COMMON_DEPEND}
RDEPEND="${DEPEND}
!kde-apps/kdepim-l10n
"

@ -63,6 +63,8 @@ RDEPEND="${DEPEND}
virtual/ffmpeg[encode,sdl,X]
"
RESTRICT+=" test" # segfaults, bug 684132
src_configure() {
local mycmakeargs=(
$(cmake-utils_use_find_package freesound Qt5WebKitWidgets)

Binary file not shown.

@ -0,0 +1,208 @@
# Copyright 1999-2019 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=6
inherit multilib systemd toolchain-funcs user
DESCRIPTION="Widely-used Mail Transport Agent (MTA)"
HOMEPAGE="http://www.sendmail.org/"
SRC_URI="ftp://ftp.sendmail.org/pub/${PN}/${PN}.${PV}.tar.gz"
LICENSE="Sendmail GPL-2" # GPL-2 is here for initscript
SLOT="0"
KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86"
IUSE="ssl ldap libressl sasl tcpd mbox ipv6 nis sockets"
DEPEND="net-mail/mailbase
sys-devel/m4
sasl? ( >=dev-libs/cyrus-sasl-2.1.10 )
tcpd? ( sys-apps/tcp-wrappers )
ssl? (
!libressl? ( dev-libs/openssl:0= )
libressl? ( dev-libs/libressl:= )
)
ldap? ( net-nds/openldap )
>=sys-libs/db-3.2
!net-mail/vacation
"
RDEPEND="${DEPEND}
>=net-mail/mailbase-0.00
!mail-mta/courier
!mail-mta/esmtp
!mail-mta/exim
!mail-mta/mini-qmail
!mail-mta/msmtp[mta]
!mail-mta/netqmail
!mail-mta/nullmailer
!mail-mta/postfix
!mail-mta/opensmtpd
!mail-mta/qmail-ldap
!<mail-mta/ssmtp-2.64-r2
!>=mail-mta/ssmtp-2.64-r2[mta]"
PDEPEND="!mbox? ( mail-filter/procmail )"
# libmilter library is part of sendmail, but it does not share the version number with it.
# In order to find the right libmilter version number, check SMFI_VERSION definition
# that can be found in ${S}/include/libmilter/mfapi.h (see also SM_LM_VRS_* defines).
# For example, version 1.0.1 has a SMFI_VERSION of 0x01000001.
LIBMILTER_VER=1.0.2
pkg_setup() {
enewgroup smmsp 209
enewuser smmsp 209 -1 /var/spool/mqueue smmsp
}
src_prepare() {
eapply "${FILESDIR}"/"${PN}"-8.14.6-build-system.patch
eapply -p0 "${FILESDIR}"/sendmail-delivered_hdr.patch
eapply "${FILESDIR}"/libmilter-sharedlib.patch
eapply -p0 "${FILESDIR}"/sendmail-starttls-multi-crl.patch
eapply "${FILESDIR}"/${P}-openssl-1.1.0-fix.patch
local confCC="$(tc-getCC)"
local confCCOPTS="${CFLAGS}"
local confLDOPTS="${LDFLAGS}"
local confMAPDEF="-DMAP_REGEX"
local conf_sendmail_LIBS=""
use sasl && confLIBS="${confLIBS} -lsasl2" \
&& confENVDEF="${confENVDEF} -DSASL=2" \
&& confCCOPTS="${confCCOPTS} -I/usr/include/sasl" \
&& conf_sendmail_LIBS="${conf_sendmail_LIBS} -lsasl2"
use tcpd && confENVDEF="${confENVDEF} -DTCPWRAPPERS" \
&& confLIBS="${confLIBS} -lwrap"
use ssl && confENVDEF="${confENVDEF} -DSTARTTLS -D_FFR_DEAL_WITH_ERROR_SSL" \
&& confENVDEF="${confENVDEF} -D_FFR_TLS_1" \
&& confLIBS="${confLIBS} -lssl -lcrypto" \
&& conf_sendmail_LIBS="${conf_sendmail_LIBS} -lssl -lcrypto"
use ldap && confMAPDEF="${confMAPDEF} -DLDAPMAP" \
&& confLIBS="${confLIBS} -lldap -llber"
use ipv6 && confENVDEF="${confENVDEF} -DNETINET6"
use nis && confENVDEF="${confENVDEF} -DNIS"
use sockets && confENVDEF="${confENVDEF} -DSOCKETMAP"
sed -e "s:@@confCCOPTS@@:${confCCOPTS}:" \
-e "s/@@confLDOPTS@@/${confLDOPTS}/" \
-e "s/@@confCC@@/${confCC}/" \
-e "s/@@confMAPDEF@@/${confMAPDEF}/" \
-e "s/@@confENVDEF@@/${confENVDEF}/" \
-e "s/@@confLIBS@@/${confLIBS}/" \
-e "s/@@conf_sendmail_LIBS@@/${conf_sendmail_LIBS}/" \
"${FILESDIR}"/site.config.m4 > devtools/Site/site.config.m4
echo "APPENDDEF(\`confLIBDIRS', \`-L${EROOT}usr/$(get_libdir)')" >> devtools/Site/site.config.m4 || die
eapply_user
}
src_compile() {
sh Build AR="$(tc-getAR)" RANLIB="$(tc-getRANLIB)" || die "compilation failed in main Build script"
pushd libmilter
sh Build AR="$(tc-getAR)" RANLIB="$(tc-getRANLIB)" MILTER_SOVER=${LIBMILTER_VER} || die "libmilter compilation failed"
popd
}
src_install () {
local MY_LIBDIR=/usr/$(get_libdir)
local MY_OBJDIR="obj.`uname -s`.`uname -r`.`uname -m`"
dodir /usr/bin ${MY_LIBDIR} /usr/include/libmilter
dodir /usr/share/man/man{1,5,8} /usr/sbin /var/log /usr/share/sendmail-cf
dodir /var/spool/{mqueue,clientmqueue} /etc/conf.d
keepdir /var/spool/{clientmqueue,mqueue}
for dir in libsmutil sendmail mailstats praliases smrsh makemap vacation editmap
do
make DESTDIR="${D}" LIBDIR="${MY_LIBDIR}" MANROOT=/usr/share/man/man \
SBINOWN=root SBINGRP=root UBINOWN=root UBINGRP=root \
MANOWN=root MANGRP=root INCOWN=root INCGRP=root \
LIBOWN=root LIBGRP=root GBINOWN=root GBINGRP=root \
MSPQOWN=root CFOWN=root CFGRP=root \
install -C "${MY_OBJDIR}/${dir}" \
|| die "install failed"
done
for dir in rmail mail.local
do
make DESTDIR="${D}" LIBDIR="${MY_LIBDIR}" MANROOT=/usr/share/man/man \
SBINOWN=root SBINGRP=root UBINOWN=root UBINGRP=root \
MANOWN=root MANGRP=root INCOWN=root INCGRP=root \
LIBOWN=root LIBGRP=root GBINOWN=root GBINGRP=root \
MSPQOWN=root CFOWN=root CFGRP=root \
force-install -C "${MY_OBJDIR}/${dir}" \
|| die "install failed"
done
make DESTDIR="${D}" LIBDIR="${MY_LIBDIR}" MANROOT=/usr/share/man/man \
SBINOWN=root SBINGRP=root UBINOWN=root UBINGRP=root \
MANOWN=root MANGRP=root INCOWN=root INCGRP=root \
LIBOWN=root LIBGRP=root GBINOWN=root GBINGRP=root \
MSPQOWN=root CFOWN=root CFGRP=root \
MILTER_SOVER=${LIBMILTER_VER} \
install -C "${MY_OBJDIR}/libmilter" \
|| die "install failed"
fowners root:smmsp /usr/sbin/sendmail
fperms 2555 /usr/sbin/sendmail
fowners smmsp:smmsp /var/spool/clientmqueue
fperms 770 /var/spool/clientmqueue
fperms 700 /var/spool/mqueue
dosym /usr/sbin/makemap /usr/bin/makemap
dodoc FAQ KNOWNBUGS README RELEASE_NOTES doc/op/op.ps
newdoc sendmail/README README.sendmail
newdoc sendmail/SECURITY SECURITY
newdoc sendmail/TUNING TUNING
newdoc smrsh/README README.smrsh
newdoc libmilter/README README.libmilter
newdoc cf/README README.cf
newdoc cf/cf/README README.install-cf
cp -pPR cf/* "${D}"/usr/share/sendmail-cf
docinto contrib
dodoc contrib/*
insinto /etc/mail
if use mbox
then
newins "${FILESDIR}"/sendmail.mc-r1 sendmail.mc
else
newins "${FILESDIR}"/sendmail-procmail.mc sendmail.mc
fi
m4 "${D}"/usr/share/sendmail-cf/m4/cf.m4 "${D}"/etc/mail/sendmail.mc \
> "${D}"/etc/mail/sendmail.cf
echo "include(\`/usr/share/sendmail-cf/m4/cf.m4')dnl" \
> "${D}"/etc/mail/submit.mc
cat "${D}"/usr/share/sendmail-cf/cf/submit.mc >> "${D}"/etc/mail/submit.mc
echo "# local-host-names - include all aliases for your machine here" \
> "${D}"/etc/mail/local-host-names
cat <<- EOF > "${D}"/etc/mail/trusted-users
# trusted-users - users that can send mail as others without a warning
# apache, mailman, majordomo, uucp are good candidates
EOF
cat <<- EOF > "${D}"/etc/mail/access
# Check the /usr/share/doc/sendmail/README.cf file for a description
# of the format of this file. (search for access_db in that file)
# The /usr/share/doc/sendmail/README.cf is part of the sendmail-doc
# package.
#
EOF
cat <<- EOF > "${D}"/etc/conf.d/sendmail
# Config file for /etc/init.d/sendmail
# add start-up options here
SENDMAIL_OPTS="-bd -q30m -L sm-mta" # default daemon mode
CLIENTMQUEUE_OPTS="-Ac -q30m -L sm-cm" # clientmqueue
KILL_OPTS="" # add -9/-15/your favorite evil SIG level here
EOF
if use sasl; then
dodir /etc/sasl2
cat <<- EOF > "${D}"/etc/sasl2/Sendmail.conf
pwcheck_method: saslauthd
mech_list: PLAIN LOGIN
EOF
fi
doinitd "${FILESDIR}"/sendmail
systemd_dounit "${FILESDIR}"/sendmail.service
systemd_dounit "${FILESDIR}"/sm-client.service
keepdir /usr/adm/sm.bin
}

Binary file not shown.

@ -65,7 +65,7 @@ COMMON_DEPEND="
$(add_kdeapps_dep kcontacts)
)
calendar? ( $(add_kdeapps_dep kcalcore) )
dnn? ( >=media-libs/opencv-3.1.0:=[contrib_dnn] )
dnn? ( >=media-libs/opencv-3.1.0:=[contrib,contrib_dnn] )
gphoto2? ( media-libs/libgphoto2:= )
imagemagick? ( media-gfx/imagemagick:= )
jpeg2k? ( media-libs/jasper:= )

@ -1,3 +1,2 @@
DIST krita-4.1.8.tar.gz 244065767 BLAKE2B ba2cbb6d1575cec189e8f10461b720a081f185e1e078fc1e8194c9e6d455dade45f35f1ae5a891717918b3c03863a2a7f3f819753a106ede5695003cfa260157 SHA512 d027444415bffbd6abd29ca69598fdb1e6a652fd4f1944092ff12016a57ff2ee3bab209c93e065905ec9bfea395e50f833915bb924b97a2c119d101057cba6c9
DIST krita-4.2.2.tar.gz 246075662 BLAKE2B 0d4f57924f4a63afbbd53df885844aa02e93b75afb0be3a32f1be6a6d3b031389b6efc907e725b31f31f6846fd8a02cefb33e93354a75191f7ba6bf485b72f4e SHA512 7ca5f18c9c8c0448ac2634bb6e0108328b4ae84527741aa35863a3423449797a4e1e1debcd7c6ace2c6c3362d339ed5b7970af71e5bd4b0e7299cf8e877ca096
DIST krita-4.2.3.tar.gz 246136588 BLAKE2B 1d7a371f7aeb8cf3747adcd4ab681b0ecf849e64ace16b456e9c2b8ed5fd958be895fd64c623931e47ae81bdf35b3e54161ecb204501f48c97b35ac2dcb8ac59 SHA512 6493740183b360a939d85cc7bc646cb173dc923a3dc63966d0f178bf308675ffead01d3bfefeeffb376f5efd7d90ee7f271b3ff412787123113dd125cc022ab5

@ -1,25 +0,0 @@
From e46ad1f917705d84dc5562c2f261a06eb70a57b9 Mon Sep 17 00:00:00 2001
From: Pino Toscano <pino@kde.org>
Date: Tue, 25 Jun 2019 06:57:40 +0200
Subject: fixuifiles
---
libs/widgetutils/tests/dialogsavertestwidget.ui | 3 ---
1 file changed, 3 deletions(-)
diff --git a/libs/widgetutils/tests/dialogsavertestwidget.ui b/libs/widgetutils/tests/dialogsavertestwidget.ui
index 66e70b3..ba0f54f 100644
--- a/libs/widgetutils/tests/dialogsavertestwidget.ui
+++ b/libs/widgetutils/tests/dialogsavertestwidget.ui
@@ -10,9 +10,6 @@
<height>300</height>
</rect>
</property>
- <property name="windowTitle">
- <string>Form</string>
- </property>
<widget class="QPushButton" name="pushButton">
<property name="geometry">
<rect>
--
cgit v1.1

@ -1,121 +0,0 @@
# Copyright 1999-2019 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
KDE_TEST="forceoptional"
QT_MINIMAL="5.12.3"
VIRTUALX_REQUIRED="test"
PYTHON_COMPAT=( python3_{5,6,7} )
inherit kde5 python-single-r1
if [[ ${KDE_BUILD_TYPE} = release ]]; then
SRC_URI="mirror://kde/stable/${PN}/${PV}/${P}.tar.gz"
KEYWORDS="~amd64 ~x86"
fi
DESCRIPTION="Free digital painting application. Digital Painting, Creative Freedom!"
HOMEPAGE="https://kde.org/applications/graphics/krita/ https://krita.org/"
LICENSE="GPL-3"
IUSE="color-management fftw gif +gsl heif +jpeg openexr pdf qtmedia +raw tiff vc"
REQUIRED_USE="${PYTHON_REQUIRED_USE}"
BDEPEND="
dev-cpp/eigen:3
dev-lang/perl
sys-devel/gettext
"
COMMON_DEPEND="${PYTHON_DEPS}
$(add_frameworks_dep karchive)
$(add_frameworks_dep kcompletion)
$(add_frameworks_dep kconfig)
$(add_frameworks_dep kcoreaddons)
$(add_frameworks_dep kcrash)
$(add_frameworks_dep kguiaddons)
$(add_frameworks_dep ki18n)
$(add_frameworks_dep kiconthemes)
$(add_frameworks_dep kitemmodels)
$(add_frameworks_dep kitemviews)
$(add_frameworks_dep kwidgetsaddons)
$(add_frameworks_dep kwindowsystem)
$(add_frameworks_dep kxmlgui)
$(add_qt_dep qtconcurrent)
$(add_qt_dep qtdbus)
$(add_qt_dep qtdeclarative)
$(add_qt_dep qtgui '-gles2' '' '5=')
$(add_qt_dep qtnetwork)
$(add_qt_dep qtprintsupport)
$(add_qt_dep qtsvg)
$(add_qt_dep qtwidgets)
$(add_qt_dep qtx11extras)
$(add_qt_dep qtxml)
dev-libs/boost:=
dev-libs/quazip
dev-python/PyQt5[${PYTHON_USEDEP}]
dev-python/sip[${PYTHON_USEDEP}]
media-gfx/exiv2:=
media-libs/lcms
media-libs/libpng:0=
sys-libs/zlib
virtual/opengl
x11-libs/libX11
x11-libs/libxcb
x11-libs/libXi
color-management? ( media-libs/opencolorio )
fftw? ( sci-libs/fftw:3.0= )
gif? ( media-libs/giflib )
gsl? ( sci-libs/gsl:= )
jpeg? ( virtual/jpeg:0 )
heif? ( media-libs/libheif:= )
openexr? (
media-libs/ilmbase:=
media-libs/openexr
)
pdf? ( app-text/poppler[qt5] )
qtmedia? ( $(add_qt_dep qtmultimedia) )
raw? ( media-libs/libraw:= )
tiff? ( media-libs/tiff:0 )
"
DEPEND="${COMMON_DEPEND}
vc? ( >=dev-libs/vc-1.1.0 )
"
RDEPEND="${COMMON_DEPEND}
!app-office/calligra:4[calligra_features_krita]
!app-office/calligra-l10n:4[calligra_features_krita(+)]
"
# bug 630508
RESTRICT+=" test"
PATCHES=(
"${FILESDIR}"/${P}-tests-optional.patch
"${FILESDIR}"/${P}-fixuifiles.patch
)
pkg_setup() {
python-single-r1_pkg_setup
kde5_pkg_setup
}
src_configure() {
# Prevent sandbox violation from FindPyQt5.py module
# See Gentoo-bug 655918
addpredict /dev/dri
local mycmakeargs=(
$(cmake-utils_use_find_package color-management OCIO)
$(cmake-utils_use_find_package fftw FFTW3)
$(cmake-utils_use_find_package gif GIF)
$(cmake-utils_use_find_package gsl GSL)
$(cmake-utils_use_find_package heif HEIF)
$(cmake-utils_use_find_package jpeg JPEG)
$(cmake-utils_use_find_package openexr OpenEXR)
$(cmake-utils_use_find_package pdf Poppler)
$(cmake-utils_use_find_package qtmedia Qt5Multimedia)
$(cmake-utils_use_find_package raw LibRaw)
$(cmake-utils_use_find_package tiff TIFF)
$(cmake-utils_use_find_package vc Vc)
)
kde5_src_configure
}

Binary file not shown.

@ -3,7 +3,7 @@
EAPI=7
PYTHON_COMPAT=( python3_{6,7} )
PYTHON_COMPAT=( python2_7 python3_{6,7} )
# this ebuild currently only supports installing ruby bindings for a single ruby version
# so USE_RUBY must contain only a single value (the latest stable) as the ebuild calls
# /usr/bin/${USE_RUBY} directly
@ -112,8 +112,12 @@ src_prepare() {
sed -i -e "s/env ruby/${USE_RUBY}/" src/swig/ruby/* || die
# fix python3 include dir
sed -i -e 's/python{}.{}/python{}.{}m/' src/swig/python/build || die
# fix python include dir
if use python; then
python_export PYTHON_INCLUDEDIR
sed -e "/PYTHON_INCLUDE=/s:=.*:=${PYTHON_INCLUDEDIR}:" \
-i src/swig/python/build || die
fi
}
src_configure() {

@ -3,7 +3,7 @@
EAPI=7
PYTHON_COMPAT=( python3_{6,7} )
PYTHON_COMPAT=( python2_7 python3_{6,7} )
# this ebuild currently only supports installing ruby bindings for a single ruby version
# so USE_RUBY must contain only a single value (the latest stable) as the ebuild calls
# /usr/bin/${USE_RUBY} directly
@ -112,8 +112,12 @@ src_prepare() {
sed -i -e "s/env ruby/${USE_RUBY}/" src/swig/ruby/* || die
# fix python3 include dir
sed -i -e 's/python{}.{}/python{}.{}m/' src/swig/python/build || die
# fix python include dir
if use python; then
python_export PYTHON_INCLUDEDIR
sed -e "/PYTHON_INCLUDE=/s:=.*:=${PYTHON_INCLUDEDIR}:" \
-i src/swig/python/build || die
fi
}
src_configure() {

@ -0,0 +1,28 @@
From 22ce65bfbaa24d79427852755c4bf8a1d77159b4 Mon Sep 17 00:00:00 2001
From: Andreas Sturmlechner <asturm@gentoo.org>
Date: Tue, 16 Jul 2019 17:03:40 +0200
Subject: [PATCH] Find Boost_PYTHON
---
src/python/CMakeLists.txt | 5 ++---
1 file changed, 2 insertions(+), 3 deletions(-)
diff --git a/src/python/CMakeLists.txt b/src/python/CMakeLists.txt
index e58d372d..98d91c48 100644
--- a/src/python/CMakeLists.txt
+++ b/src/python/CMakeLists.txt
@@ -16,9 +16,8 @@ find_package (PythonLibs ${PYTHON_VERSION_FOUND} REQUIRED)
if (NOT BOOST_CUSTOM)
# Finding the python component for boost is a little tricky, since it has
# different names on different systems. Try the most common ones.
- foreach (_py_lib python-${PYTHON_VERSION_FOUND} python
- python${PYTHON_VERSION_MAJOR}
- python-py${PYTHON_VERSION_MAJOR}${PYTHON_VERSION_MINOR})
+ foreach (_py_lib python${PYTHON_VERSION_MAJOR}${PYTHON_VERSION_MINOR}
+ python${PYTHON_VERSION_MAJOR}.${PYTHON_VERSION_MINOR})
find_package (Boost QUIET COMPONENTS ${_py_lib})
string (TOUPPER ${_py_lib} _py_lib_name)
if (Boost_${_py_lib_name}_FOUND)
--
2.22.0

@ -7,6 +7,7 @@
</maintainer>
<use>
<flag name="color-management">Enable color management via <pkg>media-libs/opencolorio</pkg></flag>
<flag name="dicom">Enable DICOM medical image file support via <pkg>sci-libs/dcmtk</pkg></flag>
<flag name="field3d">Enable f3d file (write) support via <pkg>media-libs/Field3D</pkg></flag>
<flag name="opencv">Enable OpenCV support via <pkg>media-libs/opencv</pkg></flag>
<flag name="ptex">Enable Ptex texture mapping system file support via <pkg>media-libs/ptex</pkg></flag>

@ -0,0 +1,125 @@
# Copyright 1999-2019 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
PYTHON_COMPAT=( python2_7 python3_{5,6} )
inherit cmake-utils python-single-r1
DESCRIPTION="A library for reading and writing images"
HOMEPAGE="https://sites.google.com/site/openimageio/ https://github.com/OpenImageIO"
SRC_URI="https://github.com/OpenImageIO/oiio/archive/Release-${PV}.tar.gz -> ${P}.tar.gz"
LICENSE="BSD"
SLOT="0"
KEYWORDS="~amd64 ~ppc64 ~x86"
X86_CPU_FEATURES=(
sse2:sse2 sse3:sse3 ssse3:ssse3 sse4_1:sse4.1 sse4_2:sse4.2
avx:avx avx2:avx2 avx512f:avx512f f16c:f16c
)
CPU_FEATURES=( ${X86_CPU_FEATURES[@]/#/cpu_flags_x86_} )
IUSE="color-management dicom doc ffmpeg field3d gif jpeg2k libressl opencv opengl ptex python qt5 raw ssl +truetype ${CPU_FEATURES[@]%:*}"
REQUIRED_USE="python? ( ${PYTHON_REQUIRED_USE} )"
RESTRICT="test" # bug 431412
BDEPEND="
doc? ( app-doc/doxygen[latex] )
"
RDEPEND="
>=dev-libs/boost-1.62:=
dev-libs/pugixml:=
>=media-libs/ilmbase-2.2.0-r1:=
media-libs/libpng:0=
>=media-libs/libwebp-0.2.1:=
>=media-libs/openexr-2.2.0-r2:=
media-libs/tiff:0=
sys-libs/zlib:=
virtual/jpeg:0
color-management? ( media-libs/opencolorio:= )
dicom? ( sci-libs/dcmtk )
ffmpeg? ( media-video/ffmpeg:= )
field3d? ( media-libs/Field3D:= )
gif? ( media-libs/giflib:0= )
jpeg2k? ( >=media-libs/openjpeg-1.5:0= )
opencv? ( media-libs/opencv:= )
opengl? (
media-libs/glew:=
virtual/glu
virtual/opengl
)
ptex? ( media-libs/ptex:= )
python? (
${PYTHON_DEPS}
dev-libs/boost:=[python,${PYTHON_USEDEP}]
)
qt5? (
dev-qt/qtcore:5
dev-qt/qtgui:5
dev-qt/qtwidgets:5
opengl? ( dev-qt/qtopengl:5 )
)
raw? ( media-libs/libraw:= )
ssl? (
!libressl? ( dev-libs/openssl:0= )
libressl? ( dev-libs/libressl:0= )
)
truetype? ( media-libs/freetype:2= )
"
DEPEND="${RDEPEND}"
DOCS=( CHANGES.md CREDITS.md README.md src/doc/${PN}.pdf )
PATCHES=( "${FILESDIR}/${P}-boostpython.patch" )
S="${WORKDIR}/oiio-Release-${PV}"
pkg_setup() {
use python && python-single-r1_pkg_setup
}
src_prepare() {
cmake-utils_src_prepare
cmake_comment_add_subdirectory src/fonts
}
src_configure() {
# Build with SIMD support
local cpufeature
local mysimd=()
for cpufeature in "${CPU_FEATURES[@]}"; do
use "${cpufeature%:*}" && mysimd+=("${cpufeature#*:}")
done
# If no CPU SIMDs were used, completely disable them
[[ -z ${mysimd} ]] && mysimd=("0")
local mycmakeargs=(
-DINSTALL_DOCS=$(usex doc)
-DOIIO_BUILD_TESTS=OFF # as they are RESTRICTed
-DSTOP_ON_WARNING=OFF
-DUSE_EXTERNAL_PUGIXML=ON
-DUSE_JPEGTURBO=ON
-DUSE_NUKE=NO # Missing in Gentoo
-DUSE_NUKE=OFF
-DUSE_OCIO=$(usex color-management)
-DUSE_DICOM=$(usex dicom)
-DUSE_FFMPEG=$(usex ffmpeg)
-DUSE_FIELD3D=$(usex field3d)
-DUSE_GIF=$(usex gif)
-DUSE_OPENJPEG=$(usex jpeg2k)
-DUSE_OPENCV=$(usex opencv)
-DUSE_OPENGL=$(usex opengl)
-DUSE_PTEX=$(usex ptex)
-DUSE_PYTHON=$(usex python)
-DUSE_QT=$(usex qt5)
-DUSE_LIBRAW=$(usex raw)
-DUSE_OPENSSL=$(usex ssl)
-DUSE_FREETYPE=$(usex truetype)
-DUSE_SIMD=$(local IFS=','; echo "${mysimd[*]}")
)
cmake-utils_src_configure
}

@ -25,7 +25,11 @@ REQUIRED_USE="python? ( ${PYTHON_REQUIRED_USE} )"
RESTRICT="test" #431412
RDEPEND=">=dev-libs/boost-1.62:=
BDEPEND="
doc? ( app-doc/doxygen[latex] )
"
RDEPEND="
>=dev-libs/boost-1.62:=
dev-libs/pugixml:=
>=media-libs/ilmbase-2.2.0-r1:=
media-libs/libpng:0=
@ -41,9 +45,9 @@ RDEPEND=">=dev-libs/boost-1.62:=
jpeg2k? ( >=media-libs/openjpeg-1.5:0= )
opencv? ( media-libs/opencv:= )
opengl? (
media-libs/glew:=
virtual/glu
virtual/opengl
media-libs/glew:=
)
ptex? ( media-libs/ptex:= )
python? (
@ -61,9 +65,9 @@ RDEPEND=">=dev-libs/boost-1.62:=
!libressl? ( dev-libs/openssl:0= )
libressl? ( dev-libs/libressl:0= )
)
truetype? ( media-libs/freetype:2= )"
DEPEND="${RDEPEND}
doc? ( app-doc/doxygen[latex] )"
truetype? ( media-libs/freetype:2= )
"
DEPEND="${RDEPEND}"
DOCS=( CHANGES.md CREDITS.md README.md src/doc/${PN}.pdf )
@ -85,27 +89,26 @@ src_configure() {
[[ -z ${mysimd} ]] && mysimd=("0")
local mycmakeargs=(
-DCMAKE_INSTALL_DOCDIR="share/doc/${PF}"
-DINSTALL_DOCS=$(usex doc)
-DOIIO_BUILD_TESTS=OFF # as they are RESTRICTed
-DSTOP_ON_WARNING=OFF
-DUSE_EXTERNAL_PUGIXML=ON
-DUSE_FFMPEG=$(usex ffmpeg)
-DUSE_FIELD3D=$(usex field3d)
-DUSE_FREETYPE=$(usex truetype)
-DUSE_GIF=$(usex gif)
-DUSE_JPEGTURBO=ON
-DUSE_LIBRAW=$(usex raw)
-DUSE_NUKE=NO # Missing in Gentoo
-DUSE_NUKE=OFF
-DUSE_OCIO=$(usex color-management)
-DUSE_FFMPEG=$(usex ffmpeg)
-DUSE_FIELD3D=$(usex field3d)
-DUSE_GIF=$(usex gif)
-DUSE_OPENJPEG=$(usex jpeg2k)
-DUSE_OPENCV=$(usex opencv)
-DUSE_OPENGL=$(usex opengl)
-DUSE_OPENJPEG=$(usex jpeg2k)
-DUSE_OPENSSL=$(usex ssl)
-DUSE_PTEX=$(usex ptex)
-DUSE_PYTHON=$(usex python)
-DUSE_QT=$(usex qt5)
-DUSE_LIBRAW=$(usex raw)
-DUSE_OPENSSL=$(usex ssl)
-DUSE_FREETYPE=$(usex truetype)
-DUSE_SIMD=$(local IFS=','; echo "${mysimd[*]}")
)

Binary file not shown.

@ -2,3 +2,4 @@ DIST wsjtx-1.8.0.tgz 29041865 BLAKE2B 3eb3d4e2711443a9e895c1b5771ae6378b13cccbe9
DIST wsjtx-1.9.1.tgz 29264406 BLAKE2B 0eb00737851a7877d894a21218c6a408eac30caa4114a0edd69400701f0c8c702d4c373adc5c9f7896a4d8f96c338a92e0a997e0270240917b5e236db36c9aa0 SHA512 16c84e7bb8cf9e6eff288b74ee1f9083e0133ff69fdefca7fbc986c912663f744a75db353242024fe8c64ff9e6e8558fd825b9b106abf02cdd4b43be91680557
DIST wsjtx-2.0.0.tgz 42090145 BLAKE2B 8a439dc37daaa7e989dc1cbe007a9493268e2590282f1d88781f8f8bc40690511533a0c668654ada81a0504af880eb7d361b305ca523fc432603eafdcccc88eb SHA512 9cbda699345c4e18ae450415701700f19219f81b75080abf04a9136e40017d7113dd099bdff44414a1f0060c8687e46d6df2dd5cd15730c98eed36f9765ef82d
DIST wsjtx-2.0.1.tgz 43779157 BLAKE2B ecebc4020ff6d095f550aafda59ab1b7de197dbbec2c0278fa00a3f30cb63bd41ebfe135ed4f2583953e4d895b2a93ae3fb474977945bec5922650c0bfc060c2 SHA512 c49a2148b009c1f485fb0a775708f248a7d3b7c0d240879fbd0ffd18e0181c6573b63dec96137ab6643314ff0e0b10661914400c877901475b0ebaba4569b297
DIST wsjtx-2.1.0.tgz 44904654 BLAKE2B 4d36a9099356225ff2cf12108c0f42da67396a2602c1dbcabcbb001684212fbc81a7f4be23b8d35e32903119cdf04a41fe199429dd8693452b17084481691d74 SHA512 3a76b879586d285d570d05ae5ecca4a27b2da2153d4845c5b3b0a047721ef153af8745764403cb85555097c6778032f559e5848bad7e1cc7d469a874858ad40e

@ -0,0 +1,63 @@
# Copyright 1999-2019 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=6
inherit cmake-utils
MY_P=${P/_/-}
DESCRIPTION="Weak signal ham radio communication"
HOMEPAGE="http://physics.princeton.edu/pulsar/K1JT/wsjtx.html"
SRC_URI="mirror://sourceforge/wsjt/${MY_P}.tgz"
LICENSE="GPL-3"
SLOT="0"
KEYWORDS="~amd64 ~x86"
IUSE="doc"
RDEPEND="dev-qt/qtcore:5
dev-qt/qtgui:5
dev-qt/qtmultimedia:5
dev-qt/qtnetwork:5
dev-qt/qtwidgets:5
dev-qt/qtconcurrent:5
dev-qt/qtserialport:5
dev-qt/qtsql:5
dev-qt/qtprintsupport:5
virtual/libusb:1
media-libs/hamlib
media-libs/portaudio
sci-libs/fftw:3.0[threads,fortran]
virtual/fortran
app-text/asciidoc
doc? ( dev-ruby/asciidoctor )"
DEPEND="${RDEPEND}"
S=${WORKDIR}/wsjtx
PATCHES=( "${FILESDIR}/${PN}-2.0.1-hamlib.patch" )
src_unpack() {
unpack ${A}
unpack "${WORKDIR}/${MY_P}/src/wsjtx.tgz"
}
src_configure() {
local mycmakeargs=(
-DWSJT_GENERATE_DOCS="$(usex doc)"
-DWSJT_DOC_DESTINATION="/doc/${PF}"
)
cmake-utils_src_configure
}
src_compile() {
cmake-utils_src_compile
}
src_install() {
cmake-utils_src_install
rm "${D}"/usr/bin/rigctl{,d}-wsjtx || die
rm "${D}"/usr/share/man/man1/rigctl{,d}-wsjtx.1.gz || die
rm "${D}"/usr/share/doc/WSJT-X -R || die
}

Binary file not shown.

@ -12,7 +12,7 @@ SRC_URI="mirror://sourceforge/${PN}/${P}.tar.gz"
LICENSE="GPL-2+"
SLOT="5"
KEYWORDS="amd64 x86"
IUSE="acoustid flac kde mp3 mp4 +taglib vorbis"
IUSE="acoustid flac kde mp3 mp4 +mpris +taglib vorbis"
REQUIRED_USE="flac? ( vorbis )"
@ -21,7 +21,6 @@ BDEPEND="
"
DEPEND="
dev-qt/qtcore:5
dev-qt/qtdbus:5
dev-qt/qtdeclarative:5
dev-qt/qtgui:5
dev-qt/qtmultimedia:5
@ -46,6 +45,7 @@ DEPEND="
)
mp3? ( media-libs/id3lib )
mp4? ( media-libs/libmp4v2:0 )
mpris? ( dev-qt/qtdbus:5 )
taglib? ( >=media-libs/taglib-1.9.1 )
vorbis? (
media-libs/libogg
@ -66,6 +66,7 @@ src_prepare() {
src_configure() {
local mycmakeargs=(
-DWITH_CHROMAPRINT=$(usex acoustid)
-DWITH_DBUS=$(usex mpris)
-DWITH_FLAC=$(usex flac)
-DWITH_ID3LIB=$(usex mp3)
-DWITH_MP4V2=$(usex mp4)

@ -10,8 +10,8 @@
<name>Gentoo Sound project</name>
</maintainer>
<use>
<flag name="acoustid">Enable support for acoustic fingerprinting plugin using
(<pkg>media-libs/chromaprint</pkg>)</flag>
<flag name="acoustid">Build acoustic fingerprinting plugin using <pkg>media-libs/chromaprint</pkg></flag>
<flag name="mpris">Enable support for MPRIS2 interface using <pkg>dev-qt/qtdbus</pkg></flag>
</use>
<upstream>
<bugs-to>https://sourceforge.net/p/kid3/bugs/</bugs-to>

@ -0,0 +1,53 @@
From ea95d667907e1c9d4ee3ad8b33b452d60059e3c8 Mon Sep 17 00:00:00 2001
From: Andreas Sturmlechner <asturm@gentoo.org>
Date: Tue, 16 Jul 2019 17:30:38 +0200
Subject: [PATCH] Fix build with boost-1.70 (get_io_service() removed)
Fixes https://github.com/supercollider/supercollider/issues/4490
---
server/supernova/sc/sc_osc_handler.cpp | 2 +-
1 file changed, 1 insertion(+), 1 deletion(-)
diff --git a/server/supernova/sc/sc_osc_handler.cpp b/server/supernova/sc/sc_osc_handler.cpp
index 5116a1be8..8c2418b09 100644
--- a/server/supernova/sc/sc_osc_handler.cpp
+++ b/server/supernova/sc/sc_osc_handler.cpp
@@ -728,7 +728,7 @@ void sc_osc_handler::tcp_connection::handle_message() {
void sc_osc_handler::start_tcp_accept(void)
{
- tcp_connection::pointer new_connection = tcp_connection::create(tcp_acceptor_.get_io_service());
+ tcp_connection::pointer new_connection = tcp_connection::create((boost::asio::io_context&)tcp_acceptor_.get_executor().context());
tcp_acceptor_.async_accept(
new_connection->socket(),
--
2.22.0
From 53909b1ff2983442dd8d2fdeff6b4331767237f1 Mon Sep 17 00:00:00 2001
From: Andreas Sturmlechner <asturm@gentoo.org>
Date: Tue, 16 Jul 2019 17:47:44 +0200
Subject: [PATCH] Fix build with boost-1.70 (missing checked_delete.hpp
include)
See also: https://www.boost.org/doc/libs/1_70_0/libs/core/doc/html/core/checked_delete.html
---
server/supernova/utilities/utils.hpp | 1 +
1 file changed, 1 insertion(+)
diff --git a/server/supernova/utilities/utils.hpp b/server/supernova/utilities/utils.hpp
index 35b8ab5ad..a7c191f2d 100644
--- a/server/supernova/utilities/utils.hpp
+++ b/server/supernova/utilities/utils.hpp
@@ -23,6 +23,7 @@
#include <type_traits>
+#include <boost/checked_delete.hpp>
#include <boost/intrusive_ptr.hpp>
#include <boost/noncopyable.hpp>
#include <boost/detail/atomic_count.hpp>
--
2.22.0

@ -0,0 +1,25 @@
disabled the use of ccache, to prevent FTBFS; as the compilation is done once
it has no backdraws to make the debian package.
Index: supercollider/CMakeLists.txt
===================================================================
--- a/CMakeLists.txt
+++ b/CMakeLists.txt
@@ -150,12 +150,12 @@ add_definitions(-DBOOST_CHRONO_HEADER_ON
#############################################
# Detect CCache
-find_program(CCacheExectuable ccache)
-if( CCacheExectuable )
- # only used with >=cmake-3.4
- set( CMAKE_C_COMPILER_LAUNCHER "${CCacheExectuable}" )
- set( CMAKE_CXX_COMPILER_LAUNCHER "${CCacheExectuable}" )
-endif()
+## find_program(CCacheExecutable ccache)
+## if( CCacheExecutable )
+## # only used with >=cmake-3.4
+## set( CMAKE_C_COMPILER_LAUNCHER "${CCacheExecutable}" )
+## set( CMAKE_CXX_COMPILER_LAUNCHER "${CCacheExecutable}" )
+## endif()
#############################################
# Options

@ -62,8 +62,10 @@ DEPEND="${RDEPEND}
"
PATCHES=(
"${FILESDIR}"/${P}-no-ccache.patch
"${FILESDIR}"/${P}-system-boost.patch
"${FILESDIR}"/${P}-boost-1.67.patch
"${FILESDIR}"/${P}-boost-1.70.patch
)
S="${WORKDIR}/SuperCollider-Source"

Binary file not shown.

@ -1 +1 @@
Tue, 16 Jul 2019 07:38:58 +0000
Wed, 17 Jul 2019 05:08:55 +0000

@ -1 +1 @@
Tue, 16 Jul 2019 07:38:58 +0000
Wed, 17 Jul 2019 05:08:56 +0000

Binary file not shown.

@ -1,12 +0,0 @@
DEFINED_PHASES=compile configure install postinst postrm preinst prepare test
DEPEND=>=dev-libs/atk-1 >=dev-libs/glib-2.31.10:2 >=x11-libs/gtk+-3.3.8:3 >=sys-devel/gettext-0.17 app-text/yelp-tools virtual/pkgconfig app-arch/xz-utils >=dev-util/meson-0.48.2 >=dev-util/ninja-1.7.2 dev-util/desktop-file-utils x11-misc/shared-mime-info
DESCRIPTION=GNOME hexadecimal editor
EAPI=6
HOMEPAGE=https://wiki.gnome.org/Apps/Ghex
KEYWORDS=~amd64 ~arm ~ppc ~ppc64 ~x86 ~amd64-linux ~x86-linux
LICENSE=GPL-2+ FDL-1.1+
RDEPEND=>=dev-libs/atk-1 >=dev-libs/glib-2.31.10:2 >=x11-libs/gtk+-3.3.8:3
SLOT=2
SRC_URI=mirror://gnome/sources/ghex/3.18/ghex-3.18.4.tar.xz
_eclasses_=desktop b1d22ac8bdd4679ab79c71aca235009d eapi7-ver 756b3f27d8e46131d5cf3c51bd876446 epatch a1bf4756dba418a7238f3be0cb010c54 estack 43ddf5aaffa7a8d0482df54d25a66a1f eutils 6e6c2737b59a4b982de6fb3ecefd87f8 gnome.org 532d56d07b9eace4831aaa817d2b756a gnome2-utils 532371cfcba45b2ab0d2950547c97d95 ltprune 2729691420b6deeda2a90b1f1183fb55 meson 2fbe03e3b496f82fd941bcdb9d351c91 multilib 1d91b03d42ab6308b5f4f6b598ed110e multiprocessing cac3169468f893670dac3e7cb940e045 ninja-utils 132cbb376048d079b5a012f5467c4e7f preserve-libs ef207dc62baddfddfd39a164d9797648 python-utils-r1 08e17157a6807add7db1f8d01e7e391f toolchain-funcs 8c7f9d80beedd16f2e5a7f612c609529 vcs-clean 2a0f74a496fa2b1552c4f3398258b7bf versionator 2352c3fc97241f6a02042773c8287748 xdg c7ba313ea1eaf266f95cc6235f7d6a07 xdg-utils 14d00d009167652b1fa363e55effe213
_md5_=4ef63b936756ca3c1825c9cc21af96b3

@ -0,0 +1,14 @@
BDEPEND=dev-libs/appstream-glib dev-libs/libxml2:2 dev-util/itstool >=sys-devel/gettext-0.19.8 virtual/pkgconfig app-arch/xz-utils >=dev-util/meson-0.48.2 >=dev-util/ninja-1.7.2
DEFINED_PHASES=compile configure install postinst postrm preinst prepare test
DEPEND=>=dev-libs/atk-1.0.0 >=dev-libs/glib-2.31.10:2 >=x11-libs/gtk+-3.3.8:3 dev-util/desktop-file-utils x11-misc/shared-mime-info
DESCRIPTION=GNOME hexadecimal editor
EAPI=7
HOMEPAGE=https://wiki.gnome.org/Apps/Ghex
KEYWORDS=~amd64 ~arm ~ppc ~ppc64 ~x86 ~amd64-linux ~x86-linux
LICENSE=GPL-2+ FDL-1.1+
RDEPEND=>=dev-libs/atk-1.0.0 >=dev-libs/glib-2.31.10:2 >=x11-libs/gtk+-3.3.8:3
RESTRICT=test
SLOT=2
SRC_URI=mirror://gnome/sources/ghex/3.18/ghex-3.18.4.tar.xz
_eclasses_=gnome.org 532d56d07b9eace4831aaa817d2b756a gnome2-utils 532371cfcba45b2ab0d2950547c97d95 meson 2fbe03e3b496f82fd941bcdb9d351c91 multilib 1d91b03d42ab6308b5f4f6b598ed110e multiprocessing cac3169468f893670dac3e7cb940e045 ninja-utils 132cbb376048d079b5a012f5467c4e7f python-utils-r1 08e17157a6807add7db1f8d01e7e391f toolchain-funcs 8c7f9d80beedd16f2e5a7f612c609529 xdg c7ba313ea1eaf266f95cc6235f7d6a07 xdg-utils 14d00d009167652b1fa363e55effe213
_md5_=1b0bf5dbc5eee99f3a1fe2089308d476

@ -10,4 +10,4 @@ RDEPEND=virtual/jre
SLOT=0
SRC_URI=x-pack? ( https://artifacts.elastic.co/downloads/elasticsearch/elasticsearch-7.2.0-no-jdk-linux-x86_64.tar.gz ) !x-pack? ( https://artifacts.elastic.co/downloads/elasticsearch/elasticsearch-oss-7.2.0-no-jdk-linux-x86_64.tar.gz )
_eclasses_=multilib 1d91b03d42ab6308b5f4f6b598ed110e systemd 71fd8d2065d102753fb9e4d20eaf3e9f toolchain-funcs 8c7f9d80beedd16f2e5a7f612c609529 user e68863263b1e8611dacf381bec5c8b2b
_md5_=b7f5daa2075cfd22710da3dcdc58a255
_md5_=579db62d14293d31bdf029f709ac14d6

@ -1,13 +1,13 @@
DEFINED_PHASES=configure install setup
DEPEND=pam? ( sys-libs/pam ) test? ( dev-util/cunit )
DEPEND=!>=sys-apps/kbd-2.1.0[pam] pam? ( sys-libs/pam ) test? ( dev-util/cunit )
DESCRIPTION=A console screen locker
EAPI=6
HOMEPAGE=https://github.com/WorMzy/vlock
IUSE=pam test
KEYWORDS=alpha amd64 ~arm hppa ia64 ~mips ppc ppc64 sparc x86
LICENSE=GPL-2
RDEPEND=pam? ( sys-libs/pam )
RDEPEND=!>=sys-apps/kbd-2.1.0[pam] pam? ( sys-libs/pam )
SLOT=0
SRC_URI=https://github.com/WorMzy/vlock/archive/f2afd55704bfe0a2d66e6b270d247e9b8a7b1664.tar.gz -> vlock-2.2.3.tar.gz
_eclasses_=desktop b1d22ac8bdd4679ab79c71aca235009d epatch a1bf4756dba418a7238f3be0cb010c54 estack 43ddf5aaffa7a8d0482df54d25a66a1f eutils 6e6c2737b59a4b982de6fb3ecefd87f8 flag-o-matic 7ba73aee7fe4462b3a745e3645ab92ca ltprune 2729691420b6deeda2a90b1f1183fb55 multilib 1d91b03d42ab6308b5f4f6b598ed110e pam 756a09f72c4cdbb55f2694c95f1e0860 preserve-libs ef207dc62baddfddfd39a164d9797648 toolchain-funcs 8c7f9d80beedd16f2e5a7f612c609529 user e68863263b1e8611dacf381bec5c8b2b vcs-clean 2a0f74a496fa2b1552c4f3398258b7bf
_md5_=bd3bb7ad2b280401afb59f0d9adb893a
_md5_=7bfe13d0e4d5c535492ca4373dd874fd

@ -11,4 +11,4 @@ RESTRICT=test
SLOT=0
SRC_URI=ftp://ftp.astron.com/pub/tcsh/tcsh-6.21.00.tar.gz https://dev.gentoo.org/~grobian/distfiles/tcsh-gentoo-patches-r1.9.tar.bz2
_eclasses_=autotools 1bf086cdd7356f5c9a4acd9727bd2065 desktop b1d22ac8bdd4679ab79c71aca235009d epatch a1bf4756dba418a7238f3be0cb010c54 estack 43ddf5aaffa7a8d0482df54d25a66a1f eutils 6e6c2737b59a4b982de6fb3ecefd87f8 flag-o-matic 7ba73aee7fe4462b3a745e3645ab92ca libtool f143db5a74ccd9ca28c1234deffede96 ltprune 2729691420b6deeda2a90b1f1183fb55 multilib 1d91b03d42ab6308b5f4f6b598ed110e prefix e51c7882b7b721e54e684f7eb143cbfe preserve-libs ef207dc62baddfddfd39a164d9797648 toolchain-funcs 8c7f9d80beedd16f2e5a7f612c609529 vcs-clean 2a0f74a496fa2b1552c4f3398258b7bf
_md5_=7a6666154e0fd15fa2df40524be4a2c1
_md5_=72f360b937aa4658fcba6f7ae3ec2eba

@ -0,0 +1,13 @@
DEFINED_PHASES=compile configure install prepare test
DEPEND=>=dev-libs/boost-1.54:=[nls] net-misc/curl >=sys-devel/gcc-4.8:* sys-devel/make >=dev-util/cmake-3.9.6
DESCRIPTION=A C++ toolkit
EAPI=6
HOMEPAGE=https://github.com/puppetlabs/leatherman
IUSE=debug static-libs test
KEYWORDS=~amd64 ~arm ~hppa ~ppc ~ppc64 ~sparc ~x86
LICENSE=Apache-2.0
RDEPEND=net-misc/curl
SLOT=0/1.6.1
SRC_URI=https://github.com/puppetlabs/leatherman/archive/1.6.1.tar.gz -> leatherman-1.6.1.tar.gz
_eclasses_=cmake-utils 91d6ef31dc426240577497cacbf2508c desktop b1d22ac8bdd4679ab79c71aca235009d epatch a1bf4756dba418a7238f3be0cb010c54 estack 43ddf5aaffa7a8d0482df54d25a66a1f eutils 6e6c2737b59a4b982de6fb3ecefd87f8 flag-o-matic 7ba73aee7fe4462b3a745e3645ab92ca ltprune 2729691420b6deeda2a90b1f1183fb55 multilib 1d91b03d42ab6308b5f4f6b598ed110e multiprocessing cac3169468f893670dac3e7cb940e045 ninja-utils 132cbb376048d079b5a012f5467c4e7f preserve-libs ef207dc62baddfddfd39a164d9797648 toolchain-funcs 8c7f9d80beedd16f2e5a7f612c609529 vcs-clean 2a0f74a496fa2b1552c4f3398258b7bf xdg-utils 14d00d009167652b1fa363e55effe213
_md5_=5a2c05a04c8a4f1251b8cf5358ed625b

@ -9,6 +9,6 @@ KEYWORDS=~amd64 ~arm ~arm64 ~x86
LICENSE=LGPL-2.1+
RDEPEND=dev-libs/glib:2 sys-apps/util-linux stemmer? ( dev-libs/snowball-stemmer )
SLOT=0
SRC_URI=https://github.com/hughsie/libxmlb/archive/0.1.9.tar.gz -> libxmlb-0.1.9.tar.gz
SRC_URI=https://github.com/hughsie/libxmlb/archive/0.1.11.tar.gz -> libxmlb-0.1.11.tar.gz
_eclasses_=meson 2fbe03e3b496f82fd941bcdb9d351c91 multilib 1d91b03d42ab6308b5f4f6b598ed110e multiprocessing cac3169468f893670dac3e7cb940e045 ninja-utils 132cbb376048d079b5a012f5467c4e7f python-utils-r1 08e17157a6807add7db1f8d01e7e391f toolchain-funcs 8c7f9d80beedd16f2e5a7f612c609529
_md5_=1115e4afaf382d9b1ee930602b2b1102

@ -1,13 +0,0 @@
DEFINED_PHASES=compile configure install prepare
DEPEND=>=dev-libs/libpcre-8.13 dev-libs/expat sys-libs/zlib mysql? ( virtual/mysql ) odbc? ( iodbc? ( dev-db/libiodbc ) !iodbc? ( dev-db/unixODBC ) ) ssl? ( !libressl? ( dev-libs/openssl:0= ) libressl? ( dev-libs/libressl ) ) sqlite? ( dev-db/sqlite:3 )
DESCRIPTION=C++ libraries for building network-based applications
EAPI=5
HOMEPAGE=https://pocoproject.org/
IUSE=doc examples iodbc libressl mysql odbc sqlite ssl test
KEYWORDS=~amd64 ~arm ~x86
LICENSE=Boost-1.0
RDEPEND=>=dev-libs/libpcre-8.13 dev-libs/expat sys-libs/zlib mysql? ( virtual/mysql ) odbc? ( iodbc? ( dev-db/libiodbc ) !iodbc? ( dev-db/unixODBC ) ) ssl? ( !libressl? ( dev-libs/openssl:0= ) libressl? ( dev-libs/libressl ) ) sqlite? ( dev-db/sqlite:3 )
SLOT=0
SRC_URI=https://pocoproject.org/releases/poco-1.4.6/poco-1.4.6p4-all.tar.bz2 doc? ( mirror://sourceforge/poco/poco-1.4.6-all-doc.zip )
_eclasses_=desktop b1d22ac8bdd4679ab79c71aca235009d epatch a1bf4756dba418a7238f3be0cb010c54 estack 43ddf5aaffa7a8d0482df54d25a66a1f eutils 6e6c2737b59a4b982de6fb3ecefd87f8 flag-o-matic 7ba73aee7fe4462b3a745e3645ab92ca ltprune 2729691420b6deeda2a90b1f1183fb55 multilib 1d91b03d42ab6308b5f4f6b598ed110e preserve-libs ef207dc62baddfddfd39a164d9797648 toolchain-funcs 8c7f9d80beedd16f2e5a7f612c609529 vcs-clean 2a0f74a496fa2b1552c4f3398258b7bf versionator 2352c3fc97241f6a02042773c8287748
_md5_=af6a4d3d073f4af4b58121c200fa2c73

@ -1,14 +0,0 @@
DEFINED_PHASES=compile configure install prepare test
DEPEND=virtual/pkgconfig sys-devel/make >=dev-util/cmake-3.9.6
DESCRIPTION=C++ libraries for building network-based applications
EAPI=6
HOMEPAGE=https://pocoproject.org/
IUSE=7z apache cppparser +crypto +data examples +file2pagecompiler +json +pagecompiler iodbc libressl mariadb +mongodb mysql +net odbc pdf pocodoc sqlite +ssl test +util +xml +zip
KEYWORDS=~amd64 ~arm ~x86
LICENSE=Boost-1.0
RDEPEND=>=dev-libs/libpcre-8.13 xml? ( dev-libs/expat ) apache? ( dev-libs/apr dev-libs/apr-util www-servers/apache ) mysql? ( !mariadb? ( dev-db/mysql-connector-c:0= ) mariadb? ( dev-db/mariadb-connector-c:0= ) ) odbc? ( iodbc? ( dev-db/libiodbc ) !iodbc? ( dev-db/unixODBC ) ) ssl? ( !libressl? ( <dev-libs/openssl-1.1.0:0= ) libressl? ( dev-libs/libressl ) ) sqlite? ( dev-db/sqlite:3 ) zip? ( sys-libs/zlib )
REQUIRED_USE=7z? ( xml ) apache? ( net util ) file2pagecompiler? ( pagecompiler ) iodbc? ( odbc ) mongodb? ( data ) mysql? ( data ) odbc? ( data ) pagecompiler? ( json net util xml ) pocodoc? ( cppparser util xml ) sqlite? ( data ) test? ( data? ( sqlite ) json util xml )
SLOT=0
SRC_URI=https://github.com/pocoproject/poco/archive/poco-1.9.0-release.tar.gz -> poco-1.9.0.tar.gz
_eclasses_=cmake-utils 91d6ef31dc426240577497cacbf2508c desktop b1d22ac8bdd4679ab79c71aca235009d epatch a1bf4756dba418a7238f3be0cb010c54 estack 43ddf5aaffa7a8d0482df54d25a66a1f eutils 6e6c2737b59a4b982de6fb3ecefd87f8 flag-o-matic 7ba73aee7fe4462b3a745e3645ab92ca ltprune 2729691420b6deeda2a90b1f1183fb55 multilib 1d91b03d42ab6308b5f4f6b598ed110e multiprocessing cac3169468f893670dac3e7cb940e045 ninja-utils 132cbb376048d079b5a012f5467c4e7f preserve-libs ef207dc62baddfddfd39a164d9797648 toolchain-funcs 8c7f9d80beedd16f2e5a7f612c609529 vcs-clean 2a0f74a496fa2b1552c4f3398258b7bf xdg-utils 14d00d009167652b1fa363e55effe213
_md5_=f0f376f60a78e247e0f1b0c877162e9b

@ -12,4 +12,4 @@ REQUIRED_USE=7z? ( xml ) file2pagecompiler? ( pagecompiler ) iodbc? ( odbc ) mon
SLOT=0
SRC_URI=https://github.com/pocoproject/poco/archive/poco-1.9.0-release.tar.gz -> poco-1.9.0.tar.gz
_eclasses_=cmake-utils 91d6ef31dc426240577497cacbf2508c eutils 6e6c2737b59a4b982de6fb3ecefd87f8 flag-o-matic 7ba73aee7fe4462b3a745e3645ab92ca multilib 1d91b03d42ab6308b5f4f6b598ed110e multiprocessing cac3169468f893670dac3e7cb940e045 ninja-utils 132cbb376048d079b5a012f5467c4e7f toolchain-funcs 8c7f9d80beedd16f2e5a7f612c609529 xdg-utils 14d00d009167652b1fa363e55effe213
_md5_=ec77789d48bdb0fd12e8bfa32ebdc3e6
_md5_=d853eae3d9929982d5a546fbcae0933d

@ -1,10 +1,10 @@
DEFINED_PHASES=install
DEPEND=app-arch/unzip
DESCRIPTION=A portable and lightweight generic library for handling UTF-8 strings
EAPI=5
DESCRIPTION=Portable and lightweight generic library for handling UTF-8 strings
EAPI=7
HOMEPAGE=https://sourceforge.net/projects/utfcpp/
KEYWORDS=amd64 ~ppc ~ppc64 x86
LICENSE=Boost-1.0
SLOT=0
SRC_URI=mirror://sourceforge/utfcpp/utf8_v2_3_4.zip
_md5_=fa468e8f387026b6624fd61f28f3e48b
_md5_=910ac5080cf675bfd72e13782b2d3d4c

@ -1,14 +1,14 @@
DEFINED_PHASES=compile configure install
DEPEND=python_targets_python2_7? ( >=dev-lang/python-2.7.5-r2:2.7 ) python_targets_python3_5? ( dev-lang/python:3.5 ) python_targets_python3_6? ( dev-lang/python:3.6 ) python_targets_python3_7? ( dev-lang/python:3.7 ) >=dev-lang/python-exec-2:=[python_targets_python2_7(-)?,python_targets_python3_5(-)?,python_targets_python3_6(-)?,python_targets_python3_7(-)?,-python_single_target_python2_7(-),-python_single_target_python3_5(-),-python_single_target_python3_6(-),-python_single_target_python3_7(-)] >=dev-python/sip-4.19.6:=[python_targets_python2_7(-)?,python_targets_python3_5(-)?,python_targets_python3_6(-)?,python_targets_python3_7(-)?,-python_single_target_python2_7(-),-python_single_target_python3_5(-),-python_single_target_python3_6(-),-python_single_target_python3_7(-)] >=dev-qt/qtcore-5.9.4:5 >=dev-qt/qtxml-5.9.4:5 bluetooth? ( >=dev-qt/qtbluetooth-5.9.4:5 ) dbus? ( dev-python/dbus-python[python_targets_python2_7(-)?,python_targets_python3_5(-)?,python_targets_python3_6(-)?,python_targets_python3_7(-)?,-python_single_target_python2_7(-),-python_single_target_python3_5(-),-python_single_target_python3_6(-),-python_single_target_python3_7(-)] >=dev-qt/qtdbus-5.9.4:5 ) declarative? ( >=dev-qt/qtdeclarative-5.9.4:5[widgets?] ) designer? ( >=dev-qt/designer-5.9.4:5 ) gui? ( >=dev-qt/qtgui-5.9.4:5[gles2=] ) help? ( >=dev-qt/qthelp-5.9.4:5 ) location? ( >=dev-qt/qtlocation-5.9.4:5 ) multimedia? ( >=dev-qt/qtmultimedia-5.9.4:5[widgets?] ) network? ( >=dev-qt/qtnetwork-5.9.4:5 ) opengl? ( >=dev-qt/qtopengl-5.9.4:5 ) positioning? ( >=dev-qt/qtpositioning-5.9.4:5 ) printsupport? ( >=dev-qt/qtprintsupport-5.9.4:5 ) sensors? ( >=dev-qt/qtsensors-5.9.4:5 ) serialport? ( >=dev-qt/qtserialport-5.9.4:5 ) sql? ( >=dev-qt/qtsql-5.9.4:5 ) svg? ( >=dev-qt/qtsvg-5.9.4:5 ) testlib? ( >=dev-qt/qttest-5.9.4:5 ) webchannel? ( >=dev-qt/qtwebchannel-5.9.4:5 ) webengine? ( >=dev-qt/qtwebengine-5.9.4:5[widgets?] ) webkit? ( >=dev-qt/qtwebkit-5.9:5[printsupport] ) websockets? ( >=dev-qt/qtwebsockets-5.9.4:5 ) widgets? ( >=dev-qt/qtwidgets-5.9.4:5 ) x11extras? ( >=dev-qt/qtx11extras-5.9.4:5 ) xmlpatterns? ( >=dev-qt/qtxmlpatterns-5.9.4:5 ) dbus? ( virtual/pkgconfig )
DEPEND=python_targets_python2_7? ( >=dev-lang/python-2.7.5-r2:2.7 ) python_targets_python3_5? ( dev-lang/python:3.5 ) python_targets_python3_6? ( dev-lang/python:3.6 ) python_targets_python3_7? ( dev-lang/python:3.7 ) >=dev-lang/python-exec-2:=[python_targets_python2_7(-)?,python_targets_python3_5(-)?,python_targets_python3_6(-)?,python_targets_python3_7(-)?,-python_single_target_python2_7(-),-python_single_target_python3_5(-),-python_single_target_python3_6(-),-python_single_target_python3_7(-)] >=dev-python/sip-4.19.6:=[python_targets_python2_7(-)?,python_targets_python3_5(-)?,python_targets_python3_6(-)?,python_targets_python3_7(-)?,-python_single_target_python2_7(-),-python_single_target_python3_5(-),-python_single_target_python3_6(-),-python_single_target_python3_7(-)] !dev-python/PyQt5-sip >=dev-qt/qtcore-5.9.4:5 >=dev-qt/qtxml-5.9.4:5 bluetooth? ( >=dev-qt/qtbluetooth-5.9.4:5 ) dbus? ( dev-python/dbus-python[python_targets_python2_7(-)?,python_targets_python3_5(-)?,python_targets_python3_6(-)?,python_targets_python3_7(-)?,-python_single_target_python2_7(-),-python_single_target_python3_5(-),-python_single_target_python3_6(-),-python_single_target_python3_7(-)] >=dev-qt/qtdbus-5.9.4:5 ) declarative? ( >=dev-qt/qtdeclarative-5.9.4:5[widgets?] ) designer? ( >=dev-qt/designer-5.9.4:5 ) gui? ( >=dev-qt/qtgui-5.9.4:5[gles2=] ) help? ( >=dev-qt/qthelp-5.9.4:5 ) location? ( >=dev-qt/qtlocation-5.9.4:5 ) multimedia? ( >=dev-qt/qtmultimedia-5.9.4:5[widgets?] ) network? ( >=dev-qt/qtnetwork-5.9.4:5 ) opengl? ( >=dev-qt/qtopengl-5.9.4:5 ) positioning? ( >=dev-qt/qtpositioning-5.9.4:5 ) printsupport? ( >=dev-qt/qtprintsupport-5.9.4:5 ) sensors? ( >=dev-qt/qtsensors-5.9.4:5 ) serialport? ( >=dev-qt/qtserialport-5.9.4:5 ) sql? ( >=dev-qt/qtsql-5.9.4:5 ) svg? ( >=dev-qt/qtsvg-5.9.4:5 ) testlib? ( >=dev-qt/qttest-5.9.4:5 ) webchannel? ( >=dev-qt/qtwebchannel-5.9.4:5 ) webengine? ( >=dev-qt/qtwebengine-5.9.4:5[widgets?] ) webkit? ( >=dev-qt/qtwebkit-5.9:5[printsupport] ) websockets? ( >=dev-qt/qtwebsockets-5.9.4:5 ) widgets? ( >=dev-qt/qtwidgets-5.9.4:5 ) x11extras? ( >=dev-qt/qtx11extras-5.9.4:5 ) xmlpatterns? ( >=dev-qt/qtxmlpatterns-5.9.4:5 ) dbus? ( virtual/pkgconfig )
DESCRIPTION=Python bindings for the Qt framework
EAPI=6
HOMEPAGE=https://www.riverbankcomputing.com/software/pyqt/intro
IUSE=bluetooth dbus debug declarative designer examples gles2 gui help location multimedia network opengl positioning printsupport sensors serialport sql svg testlib webchannel webengine webkit websockets widgets x11extras xmlpatterns python_targets_python2_7 python_targets_python3_5 python_targets_python3_6 python_targets_python3_7
KEYWORDS=amd64 arm arm64 ~ppc ~ppc64 x86
LICENSE=GPL-3
RDEPEND=python_targets_python2_7? ( >=dev-lang/python-2.7.5-r2:2.7 ) python_targets_python3_5? ( dev-lang/python:3.5 ) python_targets_python3_6? ( dev-lang/python:3.6 ) python_targets_python3_7? ( dev-lang/python:3.7 ) >=dev-lang/python-exec-2:=[python_targets_python2_7(-)?,python_targets_python3_5(-)?,python_targets_python3_6(-)?,python_targets_python3_7(-)?,-python_single_target_python2_7(-),-python_single_target_python3_5(-),-python_single_target_python3_6(-),-python_single_target_python3_7(-)] >=dev-python/sip-4.19.6:=[python_targets_python2_7(-)?,python_targets_python3_5(-)?,python_targets_python3_6(-)?,python_targets_python3_7(-)?,-python_single_target_python2_7(-),-python_single_target_python3_5(-),-python_single_target_python3_6(-),-python_single_target_python3_7(-)] >=dev-qt/qtcore-5.9.4:5 >=dev-qt/qtxml-5.9.4:5 bluetooth? ( >=dev-qt/qtbluetooth-5.9.4:5 ) dbus? ( dev-python/dbus-python[python_targets_python2_7(-)?,python_targets_python3_5(-)?,python_targets_python3_6(-)?,python_targets_python3_7(-)?,-python_single_target_python2_7(-),-python_single_target_python3_5(-),-python_single_target_python3_6(-),-python_single_target_python3_7(-)] >=dev-qt/qtdbus-5.9.4:5 ) declarative? ( >=dev-qt/qtdeclarative-5.9.4:5[widgets?] ) designer? ( >=dev-qt/designer-5.9.4:5 ) gui? ( >=dev-qt/qtgui-5.9.4:5[gles2=] ) help? ( >=dev-qt/qthelp-5.9.4:5 ) location? ( >=dev-qt/qtlocation-5.9.4:5 ) multimedia? ( >=dev-qt/qtmultimedia-5.9.4:5[widgets?] ) network? ( >=dev-qt/qtnetwork-5.9.4:5 ) opengl? ( >=dev-qt/qtopengl-5.9.4:5 ) positioning? ( >=dev-qt/qtpositioning-5.9.4:5 ) printsupport? ( >=dev-qt/qtprintsupport-5.9.4:5 ) sensors? ( >=dev-qt/qtsensors-5.9.4:5 ) serialport? ( >=dev-qt/qtserialport-5.9.4:5 ) sql? ( >=dev-qt/qtsql-5.9.4:5 ) svg? ( >=dev-qt/qtsvg-5.9.4:5 ) testlib? ( >=dev-qt/qttest-5.9.4:5 ) webchannel? ( >=dev-qt/qtwebchannel-5.9.4:5 ) webengine? ( >=dev-qt/qtwebengine-5.9.4:5[widgets?] ) webkit? ( >=dev-qt/qtwebkit-5.9:5[printsupport] ) websockets? ( >=dev-qt/qtwebsockets-5.9.4:5 ) widgets? ( >=dev-qt/qtwidgets-5.9.4:5 ) x11extras? ( >=dev-qt/qtx11extras-5.9.4:5 ) xmlpatterns? ( >=dev-qt/qtxmlpatterns-5.9.4:5 )
RDEPEND=python_targets_python2_7? ( >=dev-lang/python-2.7.5-r2:2.7 ) python_targets_python3_5? ( dev-lang/python:3.5 ) python_targets_python3_6? ( dev-lang/python:3.6 ) python_targets_python3_7? ( dev-lang/python:3.7 ) >=dev-lang/python-exec-2:=[python_targets_python2_7(-)?,python_targets_python3_5(-)?,python_targets_python3_6(-)?,python_targets_python3_7(-)?,-python_single_target_python2_7(-),-python_single_target_python3_5(-),-python_single_target_python3_6(-),-python_single_target_python3_7(-)] >=dev-python/sip-4.19.6:=[python_targets_python2_7(-)?,python_targets_python3_5(-)?,python_targets_python3_6(-)?,python_targets_python3_7(-)?,-python_single_target_python2_7(-),-python_single_target_python3_5(-),-python_single_target_python3_6(-),-python_single_target_python3_7(-)] !dev-python/PyQt5-sip >=dev-qt/qtcore-5.9.4:5 >=dev-qt/qtxml-5.9.4:5 bluetooth? ( >=dev-qt/qtbluetooth-5.9.4:5 ) dbus? ( dev-python/dbus-python[python_targets_python2_7(-)?,python_targets_python3_5(-)?,python_targets_python3_6(-)?,python_targets_python3_7(-)?,-python_single_target_python2_7(-),-python_single_target_python3_5(-),-python_single_target_python3_6(-),-python_single_target_python3_7(-)] >=dev-qt/qtdbus-5.9.4:5 ) declarative? ( >=dev-qt/qtdeclarative-5.9.4:5[widgets?] ) designer? ( >=dev-qt/designer-5.9.4:5 ) gui? ( >=dev-qt/qtgui-5.9.4:5[gles2=] ) help? ( >=dev-qt/qthelp-5.9.4:5 ) location? ( >=dev-qt/qtlocation-5.9.4:5 ) multimedia? ( >=dev-qt/qtmultimedia-5.9.4:5[widgets?] ) network? ( >=dev-qt/qtnetwork-5.9.4:5 ) opengl? ( >=dev-qt/qtopengl-5.9.4:5 ) positioning? ( >=dev-qt/qtpositioning-5.9.4:5 ) printsupport? ( >=dev-qt/qtprintsupport-5.9.4:5 ) sensors? ( >=dev-qt/qtsensors-5.9.4:5 ) serialport? ( >=dev-qt/qtserialport-5.9.4:5 ) sql? ( >=dev-qt/qtsql-5.9.4:5 ) svg? ( >=dev-qt/qtsvg-5.9.4:5 ) testlib? ( >=dev-qt/qttest-5.9.4:5 ) webchannel? ( >=dev-qt/qtwebchannel-5.9.4:5 ) webengine? ( >=dev-qt/qtwebengine-5.9.4:5[widgets?] ) webkit? ( >=dev-qt/qtwebkit-5.9:5[printsupport] ) websockets? ( >=dev-qt/qtwebsockets-5.9.4:5 ) widgets? ( >=dev-qt/qtwidgets-5.9.4:5 ) x11extras? ( >=dev-qt/qtx11extras-5.9.4:5 ) xmlpatterns? ( >=dev-qt/qtxmlpatterns-5.9.4:5 )
REQUIRED_USE=|| ( python_targets_python2_7 python_targets_python3_5 python_targets_python3_6 python_targets_python3_7 ) bluetooth? ( gui ) declarative? ( gui network ) designer? ( widgets ) help? ( gui widgets ) location? ( positioning ) multimedia? ( gui network ) opengl? ( gui widgets ) positioning? ( gui ) printsupport? ( gui widgets ) sensors? ( gui ) serialport? ( gui ) sql? ( widgets ) svg? ( gui widgets ) testlib? ( widgets ) webchannel? ( network ) webengine? ( network widgets? ( printsupport webchannel ) ) webkit? ( gui network printsupport widgets ) websockets? ( network ) widgets? ( gui ) xmlpatterns? ( network )
SLOT=0
SRC_URI=https://www.riverbankcomputing.com/static/Downloads/PyQt5/5.10.1/PyQt5_gpl-5.10.1.tar.gz
_eclasses_=estack 43ddf5aaffa7a8d0482df54d25a66a1f multibuild 40fe59465edacd730c644ec2bc197809 multilib 1d91b03d42ab6308b5f4f6b598ed110e python-r1 ce1cd23cfdc1848e8e32743efe34f299 python-utils-r1 08e17157a6807add7db1f8d01e7e391f qmake-utils bdf97e69a34b864d6d545f4ec3143ff7 toolchain-funcs 8c7f9d80beedd16f2e5a7f612c609529
_md5_=09ba7ef37146be50d2903fd1cc88934a
_md5_=a113290fd3442ca4f4955c88fb49985a

@ -6,9 +6,9 @@ HOMEPAGE=https://www.riverbankcomputing.com/software/sip/intro
IUSE=python_targets_python2_7 python_targets_python3_5 python_targets_python3_6 python_targets_python3_7
KEYWORDS=amd64 ~arm ~arm64 ~ppc ~ppc64 x86
LICENSE=|| ( GPL-2 GPL-3 SIP )
RDEPEND=python_targets_python2_7? ( >=dev-lang/python-2.7.5-r2:2.7 ) python_targets_python3_5? ( dev-lang/python:3.5 ) python_targets_python3_6? ( dev-lang/python:3.6 ) python_targets_python3_7? ( dev-lang/python:3.7 ) >=dev-lang/python-exec-2:=[python_targets_python2_7(-)?,python_targets_python3_5(-)?,python_targets_python3_6(-)?,python_targets_python3_7(-)?,-python_single_target_python2_7(-),-python_single_target_python3_5(-),-python_single_target_python3_6(-),-python_single_target_python3_7(-)]
RDEPEND=python_targets_python2_7? ( >=dev-lang/python-2.7.5-r2:2.7 ) python_targets_python3_5? ( dev-lang/python:3.5 ) python_targets_python3_6? ( dev-lang/python:3.6 ) python_targets_python3_7? ( dev-lang/python:3.7 ) >=dev-lang/python-exec-2:=[python_targets_python2_7(-)?,python_targets_python3_5(-)?,python_targets_python3_6(-)?,python_targets_python3_7(-)?,-python_single_target_python2_7(-),-python_single_target_python3_5(-),-python_single_target_python3_6(-),-python_single_target_python3_7(-)] !<dev-python/PyQt5-5.12.2
REQUIRED_USE=|| ( python_targets_python2_7 python_targets_python3_5 python_targets_python3_6 python_targets_python3_7 )
SLOT=0/12
SRC_URI=https://www.riverbankcomputing.com/static/Downloads/sip/4.19.17/sip-4.19.17.tar.gz
_eclasses_=multibuild 40fe59465edacd730c644ec2bc197809 multilib 1d91b03d42ab6308b5f4f6b598ed110e python-r1 ce1cd23cfdc1848e8e32743efe34f299 python-utils-r1 08e17157a6807add7db1f8d01e7e391f toolchain-funcs 8c7f9d80beedd16f2e5a7f612c609529
_md5_=1db543dde9c5c3e155306672d28acae1
_md5_=4d415c6f6dbb93b6b11b05c6b556fd61

@ -6,9 +6,9 @@ HOMEPAGE=https://www.riverbankcomputing.com/software/sip/intro
IUSE=python_targets_python2_7 python_targets_python3_5 python_targets_python3_6 python_targets_python3_7
KEYWORDS=~amd64 ~arm ~arm64 ~ppc ~ppc64 ~x86
LICENSE=|| ( GPL-2 GPL-3 SIP )
RDEPEND=python_targets_python2_7? ( >=dev-lang/python-2.7.5-r2:2.7 ) python_targets_python3_5? ( dev-lang/python:3.5 ) python_targets_python3_6? ( dev-lang/python:3.6 ) python_targets_python3_7? ( dev-lang/python:3.7 ) >=dev-lang/python-exec-2:=[python_targets_python2_7(-)?,python_targets_python3_5(-)?,python_targets_python3_6(-)?,python_targets_python3_7(-)?,-python_single_target_python2_7(-),-python_single_target_python3_5(-),-python_single_target_python3_6(-),-python_single_target_python3_7(-)]
RDEPEND=python_targets_python2_7? ( >=dev-lang/python-2.7.5-r2:2.7 ) python_targets_python3_5? ( dev-lang/python:3.5 ) python_targets_python3_6? ( dev-lang/python:3.6 ) python_targets_python3_7? ( dev-lang/python:3.7 ) >=dev-lang/python-exec-2:=[python_targets_python2_7(-)?,python_targets_python3_5(-)?,python_targets_python3_6(-)?,python_targets_python3_7(-)?,-python_single_target_python2_7(-),-python_single_target_python3_5(-),-python_single_target_python3_6(-),-python_single_target_python3_7(-)] !<dev-python/PyQt5-5.12.2
REQUIRED_USE=|| ( python_targets_python2_7 python_targets_python3_5 python_targets_python3_6 python_targets_python3_7 )
SLOT=0/12
SRC_URI=https://www.riverbankcomputing.com/static/Downloads/sip/4.19.18/sip-4.19.18.tar.gz
_eclasses_=multibuild 40fe59465edacd730c644ec2bc197809 multilib 1d91b03d42ab6308b5f4f6b598ed110e python-r1 ce1cd23cfdc1848e8e32743efe34f299 python-utils-r1 08e17157a6807add7db1f8d01e7e391f toolchain-funcs 8c7f9d80beedd16f2e5a7f612c609529
_md5_=9e71a9be99c9f6c64df589b730bc34b3
_md5_=0b066f9c153cf379b10d18c1bb85dbef

@ -0,0 +1,16 @@
BDEPEND=python_targets_python2_7? ( >=dev-lang/python-2.7.5-r2:2.7 ) python_targets_python3_5? ( dev-lang/python:3.5 ) python_targets_python3_6? ( dev-lang/python:3.6 ) python_targets_python3_7? ( dev-lang/python:3.7 ) >=dev-lang/python-exec-2:=[python_targets_python2_7(-)?,python_targets_python3_5(-)?,python_targets_python3_6(-)?,python_targets_python3_7(-)?,-python_single_target_python2_7(-),-python_single_target_python3_5(-),-python_single_target_python3_6(-),-python_single_target_python3_7(-)]
DEFINED_PHASES=compile configure install prepare setup test
DEPEND=dev-python/setuptools[python_targets_python2_7(-)?,python_targets_python3_5(-)?,python_targets_python3_6(-)?,python_targets_python3_7(-)?,-python_single_target_python2_7(-),-python_single_target_python3_5(-),-python_single_target_python3_6(-),-python_single_target_python3_7(-)] test? ( dev-python/nose[python_targets_python2_7(-)?,python_targets_python3_5(-)?,python_targets_python3_6(-)?,python_targets_python3_7(-)?,-python_single_target_python2_7(-),-python_single_target_python3_5(-),-python_single_target_python3_6(-),-python_single_target_python3_7(-)] ) doc? ( dev-python/sphinx[python_targets_python2_7(-)?,python_targets_python3_5(-)?,python_targets_python3_6(-)?,python_targets_python3_7(-)?,-python_single_target_python2_7(-),-python_single_target_python3_5(-),-python_single_target_python3_6(-),-python_single_target_python3_7(-)] )
DESCRIPTION=Amazon Web Services API
EAPI=7
HOMEPAGE=https://github.com/boto/boto https://pypi.org/project/boto/
IUSE=doc test python_targets_python2_7 python_targets_python3_5 python_targets_python3_6 python_targets_python3_7
KEYWORDS=~amd64 ~arm ~arm64 ~ppc ~sparc ~x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos
LICENSE=MIT
RDEPEND=python_targets_python2_7? ( >=dev-lang/python-2.7.5-r2:2.7 ) python_targets_python3_5? ( dev-lang/python:3.5 ) python_targets_python3_6? ( dev-lang/python:3.6 ) python_targets_python3_7? ( dev-lang/python:3.7 ) >=dev-lang/python-exec-2:=[python_targets_python2_7(-)?,python_targets_python3_5(-)?,python_targets_python3_6(-)?,python_targets_python3_7(-)?,-python_single_target_python2_7(-),-python_single_target_python3_5(-),-python_single_target_python3_6(-),-python_single_target_python3_7(-)]
REQUIRED_USE=doc? ( || ( python_targets_python2_7 ) ) || ( python_targets_python2_7 python_targets_python3_5 python_targets_python3_6 python_targets_python3_7 )
RESTRICT=test
SLOT=0
SRC_URI=mirror://pypi/b/boto/boto-2.49.0.tar.gz
_eclasses_=distutils-r1 30044897f9a75ab6414bdb19aa3c07d4 multibuild 40fe59465edacd730c644ec2bc197809 multilib 1d91b03d42ab6308b5f4f6b598ed110e multiprocessing cac3169468f893670dac3e7cb940e045 python-r1 ce1cd23cfdc1848e8e32743efe34f299 python-utils-r1 08e17157a6807add7db1f8d01e7e391f toolchain-funcs 8c7f9d80beedd16f2e5a7f612c609529
_md5_=16d147dec8c74c3245a0884d822f96e3

Some files were not shown because too many files have changed in this diff Show More

Loading…
Cancel
Save